If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Show why "Supports Hardware H264 Decoding" in about:support is "false" and fails on supporting hardware

VERIFIED FIXED in Firefox 43

Status

()

Core
Audio/Video
--
major
VERIFIED FIXED
2 years ago
3 months ago

People

(Reporter: Virtual, Assigned: mattwoodrow)

Tracking

({nightly-community, perf})

40 Branch
mozilla43
x86_64
Windows 7
nightly-community, perf
Points:
---

Firefox Tracking Flags

(firefox43 verified)

Details

(Whiteboard: gfx-noted, URL)

Attachments

(19 attachments, 2 obsolete attachments)

5.71 KB, text/plain
Details
3.04 KB, text/plain
Details
83.17 KB, text/html
Details
6.94 KB, patch
Details | Diff | Splinter Review
25.25 KB, text/plain
Details
35.51 KB, text/plain
Details
61.11 KB, text/plain
Details
16.60 KB, text/plain
Details
1022 bytes, text/plain
Details
114.41 KB, image/png
Details
59.77 KB, image/png
Details
81.93 KB, text/html
Details
82.53 KB, text/html
Details
6.80 KB, text/plain
Details
6.91 KB, text/plain
Details
29.13 KB, patch
cpearce
: review+
Details | Diff | Splinter Review
37.92 KB, image/png
Details
781 bytes, text/plain
Details
6.13 KB, text/plain
Details
The cause can be that the auto detection in bugged, so I have it disabled even on supported configuration or it's enabled and the value there is shown wrongly.
Created attachment 8627013 [details]
about;support.txt

about:support of the Firefox Nightly 41.0a1 (2015-06-28) [Portable] with clean new fresh profile without any addons (extensions and plugins).
Created attachment 8627014 [details]
PC configuration.txt
status-firefox42: --- → affected
(Assignee)

Comment 3

2 years ago
The detection for this value is done by attempting to create and initialize a decoder with DXVA support, and then reports if it succeeds.

It should be identical to what is happening for actual video playback, so you're most likely not getting DXVA decoding.

Your machine does look like it should support DXVA though, and your video card isn't blacklisted.

Do you know if other applications are getting DXVA? We can try adding more logging to see which part of the initialization is failing.
(In reply to Matt Woodrow (:mattwoodrow) from comment #3)
> Do you know if other applications are getting DXVA?
As far I remember I was having GPU hardware acceleration on YouTube when the site used Flash player, when we're talking about Mozilla Firefox.
In the other programs like MPC-HC with LAV Filters, I also have GPU hardware acceleration supported by NVIDIA CUVID, DXVA2 (copy-back) and DXVA (native) under H.264/MPEG-4 AVC, VC-1/WMV9, MPEG-4 ASP, MPEG-2/H.262 and MPEG-1 codecs with HD and SD resolutions.

(In reply to Matt Woodrow (:mattwoodrow) from comment #3)
> We can try adding more logging to see which part of the initialization is failing.
I would gladly test these builds if needed.
Created attachment 8628308 [details]
chrome;gpu.html

I'm also attaching chrome:gpu from Chrome 45.0.2438.3, maybe it will helps someway.
Some more information

"Supports Hardware H264 Decoding" in about:support is "false" on:
NVIDIA GeForce GTX 460 v2 - this bug
Intel(R) G41 Express Chipset - Bug #1160431 Comment 1 & Bug #1176506 Comment 20 & Bug #1176506 Comment 40
Intel(R) HD Graphics - Bug #1066226 Comment 16
Intel(R) HD Graphics 3000 - Bug #1122526 Comment 38 & Bug #1176506 Comment 18
Intel(R) HD Graphics Family - Bug #1160157 Comment 2 and Bug #1153123 Comment 12
ATI MOBILITY FireGL V5200 - Bug #1176506 Comment 23
ATI Radeon HD 4670 - Bug #1140756 Comment 3
AMD Radeon HD 6900 Series - Bug #1127551 Comment 6

"Supports Hardware H264 Decoding" in about:support is "true" on:
Intel(R) HD Graphics - Bug #1164588 Comment 0
Intel(R) HD Graphics 3000 - Bug #1155986 Comment 15
NVIDIA GeForce GTX 760 - Bug #1167932 Comment 0 and Bug #1175220 Comment 0
NVIDIA GeForce GTX 980 - Bug #1166351 Comment 1
AMD Radeon(TM) HD 6630M - Bug #1176506 Comment 19
AMD Radeon HD 6450 - Bug #1172014 Comment 2
AMD Radeon R7 200 Series - Bug #1060268 Comment 26
Created attachment 8632381 [details] [diff] [review]
DXVA Logging Patch

This build should be ready in a couple of hours: https://ftp-ssl.mozilla.org/pub/mozilla.org/firefox/try-builds/mchang@mozilla.com-e7291fa2b506

It has debug logs to see why you're failing at DXVA. It will also open a window without a toolbar on run. Can you please do the following:

1) Run the debug build from a console and pipe the output to some file. e.g: ./firefox.exe &> log.txt
2) After Firefox loads, go to about:support
3) Take a screenshot of the small window without a toolbar.
4) Close Firefox, including the small window. You can close the small window from the toolbar in windows.
5) Attach both the log and the screenshot to this bug.

Thanks!
Flags: needinfo?(bernesb)
Assignee: nobody → mchang
Status: NEW → ASSIGNED
Whiteboard: gfx-noted
Created attachment 8632431 [details]
DxDiag-32bit.txt
Flags: needinfo?(bernesb)
Created attachment 8632432 [details]
DxDiag-64bit.txt
Created attachment 8632433 [details]
Log from Codec Tweak Tool 5.9.8.txt
Created attachment 8632434 [details]
Log from Windows PowerShell.txt
Created attachment 8632435 [details]
Log from Firefox.txt
Created attachment 8632436 [details]
screenshot.png
Done. See Comment 12 and Comment 13.
I also attached Log from Windows PowerShell which it logged the SRT from Comment 7
and I also attached information from DxDiag (32 & 64 bit ones) and from Codec Tweak Tool as they maybe be some use to diagnose and analyze what's wrong.
(Assignee)

Comment 15

2 years ago
From your DxDiag:

Video Accel: ModeMPEG2_A ModeMPEG2_C ModeVC1_C ModeWMV9_C

We need ModeH264_VLD_NoFGT in order to use DXVA for h264.

I'm not sure if that's a problem with your card or drivers, but without that firefox won't be able to use DXVA.
(Assignee)

Comment 16

2 years ago
It looks like your card supports NVIDIA PureVideo Feature Set C [1] which is definitely sufficient, and you have new drivers.

Might be something to do with your window configuration, I've seen problems in the past with codec tweak tool breaking things in Windows MediaFoundation.


[1] https://en.wikipedia.org/wiki/Nvidia_PureVideo#Feature_Set_C
Created attachment 8632452 [details]
DxVA Checker 3.5.0.png
(In reply to Matt Woodrow (:mattwoodrow) from comment #15)
> From your DxDiag:
> 
> Video Accel: ModeMPEG2_A ModeMPEG2_C ModeVC1_C ModeWMV9_C
> 
> We need ModeH264_VLD_NoFGT in order to use DXVA for h264.
> 
> I'm not sure if that's a problem with your card or drivers, but without that
> firefox won't be able to use DXVA.
So looks like the DxDiag analysis and detection is broken,
because DXVA Checker 3.5.0 shows clearly in Comment 17 that I have H264 hardware acceleration support:
-H264_VLD_NoFGT
-H264_VLD_Stereo_NoFGT
-H264_VLD_Stereo_Preogressive_NoFGT
What's more, I can hardware accelerate H264 in MPC-HC with LAV Filters by using: NVIDIA CUVID, DXVA2 (copy-back) and DXVA2 (native) methods.
I also have hardware acceleration in Chrome.

So I don't think that drivers or GPU or even system configuration is the issue here.



(In reply to Matt Woodrow (:mattwoodrow) from comment #16)
> It looks like your card supports NVIDIA PureVideo Feature Set C [1] which is
> definitely sufficient, and you have new drivers.
> 
> Might be something to do with your window configuration, I've seen problems
> in the past with codec tweak tool breaking things in Windows MediaFoundation.
> 
> 
> [1] https://en.wikipedia.org/wiki/Nvidia_PureVideo#Feature_Set_C

I used Codec Tweak Tool only to generate log in Comment 10, so it's not the case here.

What's more Firefox shouldn't be affected by system configuration in any way,
even if the file and codec which Firefox uses for H264 hardware acceleration isn't registered in the system or have the lowest merit, but simply exist on the disc,
Firefox just simply should use the file by itself.
Thanks for the log! It looks like we should be supporting DXVA. Can you go to about:config after that build runs and check if the preference "media.hardware-video-decoding.failed" is false? 

Also, from chatting on the graphics daily, apparently Chrome's about:gpu might not be accurate until you play a video. Can you do this on Chrome:

1) Play a youtube 1080p video.
2) Go to about:gpu in Chrome, paste the output here.

Thanks!
Flags: needinfo?(bernesb)
Created attachment 8632830 [details]
chrome;gpu from Chrome 43.0.2357.132.html
Flags: needinfo?(bernesb)
Created attachment 8632832 [details]
chrome;gpu from Chrome 45.0.2453.0.html
Thanks for the about:gpu sections. 

From the error log at the bottom on both versions of chrome:

[3476:1448:0713/175525:ERROR:gpu_video_decode_accelerator.cc(280)] : HW video decode not available for profile 12 

I guess this means hardware video decoding isn't actually available in Chrome as well?
Flags: needinfo?(matt.woodrow)
(In reply to Mason Chang [:mchang] from comment #19)
> Can you go to about:config after that build runs and check if the preference
> "media.hardware-video-decoding.failed" is false?
Yes, "media.hardware-video-decoding.failed" preference in about:config has value set as "false"
 
> Also, from chatting on the graphics daily, apparently Chrome's about:gpu
> might not be accurate until you play a video. Can you do this on Chrome:
> 
> 1) Play a youtube 1080p video.
> 2) Go to about:gpu in Chrome, paste the output here.
> 
> Thanks!
Done. See Comment 20 and Comment 21.
Looks like there're errors like:
>ERROR:gpu_video_decode_accelerator.cc(276)] : HW video decode not available for profile 12
or
>ERROR:gpu_video_decode_accelerator.cc(280)] : HW video decode not available for profile 12
but looking on https://code.google.com/p/chromium/issues/detail?id=480094 , it can be also Chrome issue, as NVIDIA GeForce GTX 970 also fails there with hardware accelerating H264 decoding by supported hardware
(Assignee)

Comment 24

2 years ago
Profile 12 is VP9PROFILE_ANY, so chrome is failing to accelerate VP9.

You'll need to try with an h264 video (vimeo should work, or youtube with the 'h264ify' extension) to see if the h264 profiles manage to accelerate (profiles 0-10 are the various h264 ones).
(Assignee)

Comment 25

2 years ago
https://code.google.com/p/chromium/codesearch#chromium/src/gpu/config/gpu_info.h&sq=package:chromium&q=H264PROFILE_HIGH&l=44
Flags: needinfo?(matt.woodrow)
Created attachment 8632871 [details]
chrome;gpu from Chrome 43.0.2357.132.html
Attachment #8632830 - Attachment is obsolete: true
Created attachment 8632873 [details]
chrome;gpu from Chrome 45.0.2453.0.html
Attachment #8632832 - Attachment is obsolete: true
Ahh... I totally forgot that Chrome prefers VP9 over H264 on YouTube.

Looks like Chrome supports Hardware H264 Decoding on supporting hardware in my case. See Comment 26 and Comment 27.

I even done quick test.
STR:
1. Download movie from https://vimeo.com/14965805 to HDD
2. Play it by drag-and-drop in new tab
3. Observe "Video Engine Load" in GPU-Z or "VPU" in NVIDIA Inspector
-on Firefox it's 0%
-on Chrome it's about 50%
From the log in attachment 8632435 [details], and from the about:gpu sections, h264 should be ok. It also looks like gfxPlatform::CanUseHardwareVideoDecoding[1] is actually returning true. The sanity test is also passing. What else can I log to see why we're not using hardware decoding?

[1] https://dxr.mozilla.org/mozilla-central/source/gfx/thebes/gfxWindowsPlatform.cpp?from=gfxWindowsPlatform.cpp&case=true#435
Flags: needinfo?(matt.woodrow)
(Assignee)

Comment 30

2 years ago
Try these builds out:

http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/mwoodrow@mozilla.com-e68e4fd7a57d/try-win32/

They should hopefully report more information in about:support for the supports hardware h264 decoding field.

Testing with media.windows-media-foundation.allow-d3d11-dxva=true (requires a restart) might also produce interesting information.
Flags: needinfo?(matt.woodrow)
Created attachment 8633385 [details]
'pached' about:support.txt
Created attachment 8633386 [details]
'patched' about:support with media.windows-media-foundation.allow-d3d11-dxva=true.txt
(In reply to Matt Woodrow (:mattwoodrow) from comment #30)
> Try these builds out:
> http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/mwoodrow@mozilla.
> com-e68e4fd7a57d/try-win32/
> They should hopefully report more information in about:support for the
> supports hardware h264 decoding field.
Done. Tested this build Firefox Nightly 42.0a1 (2015-07-13) [Portable] with clean new fresh profile without any addons (extensions and plugins). I only disabled e10s due to still many bugs and crashes, slower performance and awful spinner on tab switch.
"Supports Hardware H264 Decoding:" now is showing:
> No; Decoder returned false for MF_SA_D3D_AWARE

(In reply to Matt Woodrow (:mattwoodrow) from comment #30)
> Testing with media.windows-media-foundation.allow-d3d11-dxva=true (requires
> a restart) might also produce interesting information.
Done, but even with created new boolean preference with name "media.windows-media-foundation.allow-d3d11-dxva" in about:config with "true" value, nothing was changed in about:support and still played videos weren't hardware accelerate decoded. See Comment 32.
Keywords: perf
Severity: normal → major
Shouldn't I with created new boolean preference with name "media.windows-media-foundation.allow-d3d11-dxva" in about:config with "true" value had like this?
>"Supports Hardware H264 Decoding:" in about:support
>> No; Decoder returned false for MF_SA_D3D11_AWARE
per https://msdn.microsoft.com/en-us/library/windows/desktop/hh162889%28v=vs.85%29.aspx
and https://msdn.microsoft.com/en-us/library/windows/desktop/hh162912%28v=vs.85%29.aspx
instead like how it's now
>"Supports Hardware H264 Decoding:" in about:support
>> No; Decoder returned false for MF_SA_D3D_AWARE
https://msdn.microsoft.com/en-us/library/windows/desktop/ms703994%28v=vs.85%29.aspx
(Assignee)

Comment 35

2 years ago
You'd think so :) But no, for two reasons.

1) We don't actually check that attribute in our D3D11 path, we just attempt to use d3d11 regardless and detect if it fails. Fixing this is probably a good idea, but I doubt it actually matters.

2) If D3D11 initialization fails, we retry with d3d9 and the results of that will overwrite any log messages that were added during the d3d11 attempt. That's just a limitation of the logging code I added, could be fixed.
(Assignee)

Comment 36

2 years ago
I have absolutely no idea how this works for chrome and not for us.

Our code for creating the MediaFoundation Transform object, and testing it for D3D support are almost identical, and it's certainly reporting unsupported for us.
I have bad and good news.

Let's start with bad one. Probably I won't be helping you with diagnosing this issue anymore.

You can ask "Why...?!". Simple, here goes the good news. Firefox finally started to recognize my hardware, as the one which supports hardware acceleration H264 video decoding and I can't reproduce the issue anymore because of this. So probably no more help from me in diagnosing this bug in my case. But I hope that persons from Comment 6 will be glad to help instead of me. Of course, if they still can reproduce it by themselves.

I found about this, when I started trying to diagnose the issue deeper by myself. First I was trying to find a regression range, as I was thinking that maybe some media patches which landed could caused this issue. I done that by using "Trace Log" in DXVA Checker which registers: events, process name and time. So when something will be using DxVA, I will have information about this there.
My observations:
- Firefox 38 ESR = works
- Firefox 39 (stable) = works
- Firefox 40 (Beta) = works and "Supports Hardware H264 Decoding" had "true" value in "Graphic" section in about:support
- Firefox 41 (Developer Edition/Aurora) = works and "Supports Hardware H264 Decoding" had "true" value in "Graphic" section in about:support
- Firefox 42 (Nightly) = works and "Supports Hardware H264 Decoding" had "true" value in "Graphic" section in about:support
and I clearly remember that it didn't work before in Firefox 40 (Beta), Firefox 41 (Developer Edition/Aurora) and Firefox 42 (Nightly), as they had "Supports Hardware H264 Decoding" value as "false" in "Graphic" section in about:support. So I was trying to remember what changed in these few days in whole PC hardware and software configuration. The only thing that changed was that I installed all patches in last Patch Tuesday. So I tried to find which one fixed the issue and I removed all of them. Unfortunately, I still couldn't reproduce this issue. So I have no idea what fixed it.
status-firefox40: affected → ---
status-firefox41: affected → ---
status-firefox42: affected → ---
Version: 40 Branch → unspecified
Thanks for digging into this and trying to help us diagnose it. If it comes up again, please reopen this bug. Resolving as WFM from comment 37.
Status: ASSIGNED → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → WORKSFORME
Not so fast, as it's not completely resolved and diagnosed. Let's first question other users with the same problem like me.



Are you still having "Supports Hardware H264 Decoding" in about:support as "false" value?
I'm asking these users:
-Marty on ATI Radeon HD 4670 - per Bug #1140756 Comment 3
-User Dderss on AMD Radeon HD 6900 Series - per Bug #1127551 Comment 6
-Andy on Intel(R) HD Graphics 3000 - Bug #1122526 Comment 38
-Tchelovek on Intel(R) HD Graphics 3000 - Bug #1176506 Comment 18
Status: RESOLVED → REOPENED
Flags: needinfo?(zxspectrum3579)
Flags: needinfo?(te.el.vau)
Flags: needinfo?(marty6001)
Flags: needinfo?(gkommet)
Resolution: WORKSFORME → ---

Comment 40

2 years ago
In my case after the very latest FireFox 42.0a1 update "Supports Hardware H264 Decoding" in "about:support" shows as "true".
Flags: needinfo?(zxspectrum3579)

Comment 41

2 years ago
I am still seeing "Supports Hardware H264 Decoding" as false with the latest Aurora/Dev Edition build (Version 41.0a2, Build ID 20150720004006).

I noticed in about:config that "media.hardware-video-decoding.failed" was set to true, but I reset that preference (back to null, it seems) and restarted the browser and saw no change. I loaded some HTML5 videos to see if it was re-tested, but the preference did not regenerate itself/reappear.

Here's my latest Graphics section, after clearing the preference above:

Adapter Description	Intel(R) HD Graphics 3000
Adapter Drivers	igdumd64 igd10umd64 igd10umd64 igdumd32 igd10umd32 igd10umd32
Adapter RAM	Unknown
Asynchronous Pan/Zoom	none
Device ID	0x0126
Direct2D Enabled	true
DirectWrite Enabled	true (6.2.9200.17292)
Driver Date	1-30-2015
Driver Version	9.17.10.4101
GPU #2 Active	false
GPU Accelerated Windows	18/18 Direct3D 11 (OMTC)
Subsys ID	21ce17aa
Supports Hardware H264 Decoding	false
Vendor ID	0x8086
WebGL Renderer	Google Inc. -- ANGLE (Intel(R) HD Graphics 3000 Direct3D9Ex vs_3_0 ps_3_0)
windowLayerManagerRemote	true
AzureCanvasBackend	direct2d 1.1
AzureContentBackend	direct2d 1.1
AzureFallbackCanvasBackend	cairo
AzureSkiaAccelerated	0

I don't know if it matters, but I have Electrolysis enabled.

I cleared my needinfo flag, but if you want me to check any other settings or run any tests feel free to hit me up.
Flags: needinfo?(gkommet)
Can you see if you're getting hardware acceleration in Chrome? Try this:

1) Play a vimeo 1080p video. (Has to be Vimeo as youtube will default to VP9, not H264).
2) Go to about:gpu in Chrome, paste the output here.

Thanks!
Flags: needinfo?(gkommet)

Comment 43

2 years ago
> -Tchelovek on Intel(R) HD Graphics 3000 - Bug #1176506 Comment 18
Hi Folks, sorry for the delay, actually I still see 

Supports Hardware H264 Decoding	false

Details below.

Tchelovek

Application Basics
------------------

Name: Firefox
Version: 41.0a2
Build ID: 20150720004006
Update Channel: aurora
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:41.0) Gecko/20100101 Firefox/41.0
Multiprocess Windows: 1/1 (default: true)

Crash Reports for the Last 3 Days
---------------------------------

All Crash Reports (including 3 pending crashes in the given time range)

Extensions
----------

Name: ADB Helper
Version: 0.8.0
Enabled: true
ID: adbhelper@mozilla.org

Name: Adblock Plus
Version: 2.6.9.1-signed
Enabled: true
ID: {d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d}

Name: BetterPrivacy
Version: 1.68.1-signed
Enabled: true
ID: {d40f5e7b-d2cf-4856-b441-cc613eeffbe3}

Name: Cliqz Beta
Version: 1.0.23
Enabled: true
ID: cliqz@cliqz.com

Name: Disconnect
Version: 3.15.3.1-signed
Enabled: true
ID: 2.0@disconnect.me

Name: Disconnect Search
Version: 1.4.1.1-signed
Enabled: true
ID: search@disconnect.me

Name: Firebug
Version: 2.0.11
Enabled: true
ID: firebug@software.joehewitt.com

Name: Garmin Communicator
Version: 4.1.0.1-signed
Enabled: true
ID: {195A3098-0BD5-4e90-AE22-BA1C540AFD1E}

Name: Greasemonkey
Version: 3.2
Enabled: true
ID: {e4a8a97b-f2ed-450b-b12d-ee082ba24781}

Name: Installer Management
Version: 1.0.0.86
Enabled: true
ID: {A95ECCE5-EF19-46bf-847B-3761F41FC4A5}

Name: Valence
Version: 0.3.1
Enabled: true
ID: fxdevtools-adapters@mozilla.org

Name: Bytemobile Optimization Client
Version: 4.2.2
Enabled: false
ID: ff-bmboc@bytemobile.com

Graphics
--------

Adapter Description: Intel(R) HD Graphics 3000
Adapter Drivers: igdumd64 igd10umd64 igd10umd64 igdumdx32 igd10umd32 igd10umd32
Adapter RAM: Unknown
Asynchronous Pan/Zoom: none
Device ID: 0x0126
Direct2D Enabled: Blocked for your graphics driver version mismatch between registry and DLL.
DirectWrite Enabled: false (6.2.9200.17292)
Driver Date: 12-22-2011
Driver Version: 8.862.4.4000
GPU #2 Active: false
GPU Accelerated Windows: 0/1 Basic (OMTC) Blocked for your graphics driver version mismatch between registry and DLL.
Subsys ID: 00000000
Supports Hardware H264 Decoding: false
Vendor ID: 0x8086
WebGL Renderer: Blocked for your graphics driver version mismatch between registry and DLL.
windowLayerManagerRemote: true
AzureCanvasBackend: skia
AzureContentBackend: cairo
AzureFallbackCanvasBackend: cairo
AzureSkiaAccelerated: 0

Important Modified Preferences
------------------------------

accessibility.typeaheadfind.flashBar: 0
browser.cache.disk.capacity: 358400
browser.cache.disk.filesystem_reported: 1
browser.cache.disk.hashstats_reported: 1
browser.cache.disk.smart_size.first_run: false
browser.cache.disk.smart_size.use_old_max: false
browser.cache.frecency_experiment: 1
browser.download.importedFromSqlite: true
browser.download.useDownloadDir: false
browser.places.smartBookmarksVersion: 7
browser.privatebrowsing.autostart: true
browser.sessionstore.upgradeBackup.latestBuildID: 20141117004001
browser.startup.homepage: news.google.com
browser.startup.homepage_override.buildID: 20150720004006
browser.startup.homepage_override.mstone: 41.0a2
browser.tabs.remote.autostart: true
browser.urlbar.maxRichResults: 30
dom.apps.reset-permissions: true
dom.mozApps.used: true
extensions.lastAppVersion: 41.0a2
font.internaluseonly.changed: false
gfx.direct3d.last_used_feature_level_idx: 0
gfx.driver-init.appVersion: 41.0a2
gfx.driver-init.deviceID: 0x0126
gfx.driver-init.driverVersion: 8.862.4.4000
gfx.driver-init.feature-d2d: false
gfx.driver-init.feature-d3d11: false
gfx.driver-init.status: 2
media.gmp-eme-adobe.lastUpdate: 1434341866
media.gmp-eme-adobe.version: 11
media.gmp-gmpopenh264.lastUpdate: 1430834545
media.gmp-gmpopenh264.version: 1.4
media.gmp-manager.buildID: 20150720004006
media.gmp-manager.lastCheck: 1437421903
media.hardware-video-decoding.failed: false
network.cookie.prefsMigrated: true
network.predictor.cleaned-up: true
places.database.lastMaintenance: 1437297533
places.history.expiration.transient_current_max_pages: 104858
plugin.disable_full_page_plugin_for_types: application/pdf
plugin.importedState: true
plugin.state.java: 2
plugin.state.npdeployjava: 0
plugin.state.npqvrhost: 2
print.printer_Adobe_PDF.print_bgcolor: false
print.printer_Adobe_PDF.print_bgimages: false
print.printer_Adobe_PDF.print_colorspace:
print.printer_Adobe_PDF.print_command:
print.printer_Adobe_PDF.print_downloadfonts: false
print.printer_Adobe_PDF.print_duplex: 1515870810
print.printer_Adobe_PDF.print_edge_bottom: 0
print.printer_Adobe_PDF.print_edge_left: 0
print.printer_Adobe_PDF.print_edge_right: 0
print.printer_Adobe_PDF.print_edge_top: 0
print.printer_Adobe_PDF.print_evenpages: true
print.printer_Adobe_PDF.print_footercenter:
print.printer_Adobe_PDF.print_footerleft: &PT
print.printer_Adobe_PDF.print_footerright: &D
print.printer_Adobe_PDF.print_headercenter:
print.printer_Adobe_PDF.print_headerleft: &T
print.printer_Adobe_PDF.print_headerright: &U
print.printer_Adobe_PDF.print_in_color: true
print.printer_Adobe_PDF.print_margin_bottom: 0.5
print.printer_Adobe_PDF.print_margin_left: 0.5
print.printer_Adobe_PDF.print_margin_right: 0.5
print.printer_Adobe_PDF.print_margin_top: 0.5
print.printer_Adobe_PDF.print_oddpages: true
print.printer_Adobe_PDF.print_orientation: 0
print.printer_Adobe_PDF.print_page_delay: 50
print.printer_Adobe_PDF.print_paper_data: 9
print.printer_Adobe_PDF.print_paper_height: 11,00
print.printer_Adobe_PDF.print_paper_name:
print.printer_Adobe_PDF.print_paper_size_type: 0
print.printer_Adobe_PDF.print_paper_size_unit: 1
print.printer_Adobe_PDF.print_paper_width: 8,50
print.printer_Adobe_PDF.print_plex_name:
print.printer_Adobe_PDF.print_resolution: 1515870810
print.printer_Adobe_PDF.print_resolution_name:
print.printer_Adobe_PDF.print_reversed: false
print.printer_Adobe_PDF.print_scaling: 1,00
print.printer_Adobe_PDF.print_shrink_to_fit: true
print.printer_Adobe_PDF.print_to_file: false
print.printer_Adobe_PDF.print_unwriteable_margin_bottom: 0
print.printer_Adobe_PDF.print_unwriteable_margin_left: 0
print.printer_Adobe_PDF.print_unwriteable_margin_right: 0
print.printer_Adobe_PDF.print_unwriteable_margin_top: 0
print.printer_FRITZfax_Drucker.print_bgcolor: false
print.printer_FRITZfax_Drucker.print_bgimages: false
print.printer_FRITZfax_Drucker.print_colorspace:
print.printer_FRITZfax_Drucker.print_command:
print.printer_FRITZfax_Drucker.print_downloadfonts: false
print.printer_FRITZfax_Drucker.print_duplex: 1515870810
print.printer_FRITZfax_Drucker.print_edge_bottom: 0
print.printer_FRITZfax_Drucker.print_edge_left: 0
print.printer_FRITZfax_Drucker.print_edge_right: 0
print.printer_FRITZfax_Drucker.print_edge_top: 0
print.printer_FRITZfax_Drucker.print_evenpages: true
print.printer_FRITZfax_Drucker.print_footercenter:
print.printer_FRITZfax_Drucker.print_footerleft: &PT
print.printer_FRITZfax_Drucker.print_footerright: &D
print.printer_FRITZfax_Drucker.print_headercenter:
print.printer_FRITZfax_Drucker.print_headerleft: &T
print.printer_FRITZfax_Drucker.print_headerright: &U
print.printer_FRITZfax_Drucker.print_in_color: true
print.printer_FRITZfax_Drucker.print_margin_bottom: 0.5
print.printer_FRITZfax_Drucker.print_margin_left: 0.5
print.printer_FRITZfax_Drucker.print_margin_right: 0.5
print.printer_FRITZfax_Drucker.print_margin_top: 0.5
print.printer_FRITZfax_Drucker.print_oddpages: true
print.printer_FRITZfax_Drucker.print_orientation: 0
print.printer_FRITZfax_Drucker.print_page_delay: 50
print.printer_FRITZfax_Drucker.print_paper_data: 9
print.printer_FRITZfax_Drucker.print_paper_height: 11,00
print.printer_FRITZfax_Drucker.print_paper_name:
print.printer_FRITZfax_Drucker.print_paper_size_type: 0
print.printer_FRITZfax_Drucker.print_paper_size_unit: 1
print.printer_FRITZfax_Drucker.print_paper_width: 8,50
print.printer_FRITZfax_Drucker.print_plex_name:
print.printer_FRITZfax_Drucker.print_resolution: 1515870810
print.printer_FRITZfax_Drucker.print_resolution_name:
print.printer_FRITZfax_Drucker.print_reversed: false
print.printer_FRITZfax_Drucker.print_scaling: 1,00
print.printer_FRITZfax_Drucker.print_shrink_to_fit: true
print.printer_FRITZfax_Drucker.print_to_file: false
print.printer_FRITZfax_Drucker.print_unwriteable_margin_bottom: 0
print.printer_FRITZfax_Drucker.print_unwriteable_margin_left: 0
print.printer_FRITZfax_Drucker.print_unwriteable_margin_right: 0
print.printer_FRITZfax_Drucker.print_unwriteable_margin_top: 0
print.printer_HP_Color_LaserJet_2800_Series_PS.print_bgcolor: false
print.printer_HP_Color_LaserJet_2800_Series_PS.print_bgimages: false
print.printer_HP_Color_LaserJet_2800_Series_PS.print_colorspace:
print.printer_HP_Color_LaserJet_2800_Series_PS.print_command:
print.printer_HP_Color_LaserJet_2800_Series_PS.print_downloadfonts: false
print.printer_HP_Color_LaserJet_2800_Series_PS.print_duplex: 1515870810
print.printer_HP_Color_LaserJet_2800_Series_PS.print_edge_bottom: 0
print.printer_HP_Color_LaserJet_2800_Series_PS.print_edge_left: 0
print.printer_HP_Color_LaserJet_2800_Series_PS.print_edge_right: 0
print.printer_HP_Color_LaserJet_2800_Series_PS.print_edge_top: 0
print.printer_HP_Color_LaserJet_2800_Series_PS.print_evenpages: true
print.printer_HP_Color_LaserJet_2800_Series_PS.print_footercenter:
print.printer_HP_Color_LaserJet_2800_Series_PS.print_footerleft: &PT
print.printer_HP_Color_LaserJet_2800_Series_PS.print_footerright: &D
print.printer_HP_Color_LaserJet_2800_Series_PS.print_headercenter:
print.printer_HP_Color_LaserJet_2800_Series_PS.print_headerleft: &T
print.printer_HP_Color_LaserJet_2800_Series_PS.print_headerright: &U
print.printer_HP_Color_LaserJet_2800_Series_PS.print_in_color: true
print.printer_HP_Color_LaserJet_2800_Series_PS.print_margin_bottom: 0.5
print.printer_HP_Color_LaserJet_2800_Series_PS.print_margin_left: 0.5
print.printer_HP_Color_LaserJet_2800_Series_PS.print_margin_right: 0.5
print.printer_HP_Color_LaserJet_2800_Series_PS.print_margin_top: 0.5
print.printer_HP_Color_LaserJet_2800_Series_PS.print_oddpages: true
print.printer_HP_Color_LaserJet_2800_Series_PS.print_orientation: 0
print.printer_HP_Color_LaserJet_2800_Series_PS.print_page_delay: 50
print.printer_HP_Color_LaserJet_2800_Series_PS.print_paper_data: 9
print.printer_HP_Color_LaserJet_2800_Series_PS.print_paper_height: 11,00
print.printer_HP_Color_LaserJet_2800_Series_PS.print_paper_name:
print.printer_HP_Color_LaserJet_2800_Series_PS.print_paper_size_type: 0
print.printer_HP_Color_LaserJet_2800_Series_PS.print_paper_size_unit: 1
print.printer_HP_Color_LaserJet_2800_Series_PS.print_paper_width: 8,50
print.printer_HP_Color_LaserJet_2800_Series_PS.print_plex_name:
print.printer_HP_Color_LaserJet_2800_Series_PS.print_resolution: 1515870810
print.printer_HP_Color_LaserJet_2800_Series_PS.print_resolution_name:
print.printer_HP_Color_LaserJet_2800_Series_PS.print_reversed: false
print.printer_HP_Color_LaserJet_2800_Series_PS.print_scaling: 1,00
print.printer_HP_Color_LaserJet_2800_Series_PS.print_shrink_to_fit: true
print.printer_HP_Color_LaserJet_2800_Series_PS.print_to_file: false
print.printer_HP_Color_LaserJet_2800_Series_PS.print_unwriteable_margin_bottom: 0
print.printer_HP_Color_LaserJet_2800_Series_PS.print_unwriteable_margin_left: 0
print.printer_HP_Color_LaserJet_2800_Series_PS.print_unwriteable_margin_right: 0
print.printer_HP_Color_LaserJet_2800_Series_PS.print_unwriteable_margin_top: 0
privacy.sanitize.migrateFx3Prefs: true
security.sandbox.content.tempDirSuffix: {4f4b4a6e-dd6d-41a3-823a-2877ccd02d95}
security.ssl.errorReporting.automatic: true
storage.vacuum.last.index: 1
storage.vacuum.last.places.sqlite: 1437297533

Important Locked Preferences
----------------------------

JavaScript
----------

Incremental GC: true

Accessibility
-------------

Activated: true
Prevent Accessibility: 0

Library Versions
----------------

NSPR
Expected minimum version: 4.10.8
Version in use: 4.10.8

NSS
Expected minimum version: 3.19.2 Basic ECC
Version in use: 3.19.2 Basic ECC

NSSSMIME
Expected minimum version: 3.19.2 Basic ECC
Version in use: 3.19.2 Basic ECC

NSSSSL
Expected minimum version: 3.19.2 Basic ECC
Version in use: 3.19.2 Basic ECC

NSSUTIL
Expected minimum version: 3.19.2
Version in use: 3.19.2

Experimental Features
---------------------
Flags: needinfo?(te.el.vau)

Comment 44

2 years ago
This is my Chrome 43 chrome://gpu/ output when https://vimeo.com/66818038 is playing in a background tab:

Graphics Feature Status
Canvas: Hardware accelerated
Flash: Hardware accelerated
Flash Stage3D: Hardware accelerated
Flash Stage3D Baseline profile: Hardware accelerated
Compositing: Hardware accelerated
Multiple Raster Threads: Enabled
Rasterization: Software only, hardware acceleration unavailable
Threaded Rasterization: Enabled
Video Decode: Hardware accelerated
Video Encode: Hardware accelerated
WebGL: Hardware accelerated
Driver Bug Workarounds
clear_uniforms_before_first_program_use
exit_on_context_lost
scalarize_vec_and_mat_constructor_args
texsubimage2d_faster_than_teximage2d
Problems Detected
GPU rasterization is blacklisted on non-Android: 362779
Disabled Features: gpu_rasterization
Some drivers are unable to reset the D3D device in the GPU process sandbox
Applied Workarounds: exit_on_context_lost
TexSubImage2D() is faster for full uploads on ANGLE
Applied Workarounds: texsubimage2d_faster_than_teximage2d
Clear uniforms before first program use on all platforms: 124764, 349137
Applied Workarounds: clear_uniforms_before_first_program_use
Always rewrite vec/mat constructors to be consistent: 398694
Applied Workarounds: scalarize_vec_and_mat_constructor_args
Version Information
Data exported	7/21/2015, 4:40:16 PM
Chrome version	Chrome/43.0.2357.134
Operating system	Windows NT 6.1 SP1
Software rendering list version	10.7
Driver bug list version	8.07
ANGLE commit id	ea24f4461fb2
2D graphics backend	Skia
Command Line Args	Files (x86)\Google\Chrome\Application\chrome.exe" --flag-switches-begin --flag-switches-end
Driver Information
Initialization time	135
Sandboxed	false
GPU0	VENDOR = 0x8086, DEVICE= 0x0126
Optimus	false
AMD switchable	false
Desktop compositing	Aero Glass
Driver vendor	Intel Corporation
Driver version	9.17.10.4101
Driver date	1-30-2015
Pixel shader version	4.1
Vertex shader version	4.1
Machine model name	
Machine model version	
GL_VENDOR	Google Inc.
GL_RENDERER	ANGLE (Intel(R) HD Graphics 3000 Direct3D11 vs_4_1 ps_4_1)
GL_VERSION	OpenGL ES 2.0 (ANGLE 2.1.ea24f4461fb2)
GL_EXTENSIONS	GL_OES_element_index_uint GL_OES_packed_depth_stencil GL_OES_get_program_binary GL_OES_rgb8_rgba8 GL_EXT_texture_format_BGRA8888 GL_EXT_read_format_bgra GL_NV_pixel_buffer_object GL_OES_mapbuffer GL_EXT_map_buffer_range GL_OES_texture_half_float GL_OES_texture_half_float_linear GL_OES_texture_float GL_OES_texture_float_linear GL_EXT_texture_rg GL_EXT_texture_compression_dxt1 GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_EXT_sRGB GL_ANGLE_depth_texture GL_EXT_texture_storage GL_OES_texture_npot GL_EXT_draw_buffers GL_EXT_texture_filter_anisotropic GL_EXT_occlusion_query_boolean GL_NV_fence GL_EXT_robustness GL_EXT_blend_minmax GL_ANGLE_framebuffer_blit GL_ANGLE_framebuffer_multisample GL_ANGLE_instanced_arrays GL_ANGLE_pack_reverse_row_order GL_OES_standard_derivatives GL_EXT_shader_texture_lod GL_EXT_frag_depth GL_ANGLE_texture_usage GL_ANGLE_translated_shader_source
Window system binding vendor	Google Inc. (adapter LUID: 000000000000aa91)
Window system binding version	1.4 (ANGLE 2.1.ea24f4461fb2)
Window system binding extensions	EGL_EXT_create_context_robustness EGL_ANGLE_d3d_share_handle_client_buffer EGL_ANGLE_surface_d3d_texture_2d_share_handle EGL_ANGLE_query_surface_pointer EGL_ANGLE_window_fixed_size EGL_KHR_create_context
Direct rendering	Yes
Reset notification strategy	0x8252
GPU process crash count	0
Diagnostics
0
b3DAccelerationEnabled	true
b3DAccelerationExists	true
bAGPEnabled	true
bAGPExistenceValid	true
bAGPExists	true
bCanRenderWindow	true
bDDAccelerationEnabled	true
bDriverBeta	false
bDriverDebug	false
bDriverSigned	false
bDriverSignedValid	false
bNoHardware	false
dwBpp	32
dwDDIVersion	10
dwHeight	1200
dwRefreshRate	59
dwWHQLLevel	0
dwWidth	1920
iAdapter	0
lDriverSize	12694808
lMiniVddSize	0
szAGPStatusEnglish	Enabled
szAGPStatusLocalized	Enabled
szChipType	Intel(R) HD Graphics Family
szD3DStatusEnglish	Enabled
szD3DStatusLocalized	Enabled
szDACType	Internal
szDDIVersionEnglish	10.1
szDDIVersionLocalized	10.1
szDDStatusEnglish	Enabled
szDDStatusLocalized	Enabled
szDXVAHDEnglish	Supported
szDXVAModes	ModeMPEG2_A ModeMPEG2_C ModeWMV9_C ModeVC1_C
szDescription	Intel(R) HD Graphics 3000
szDeviceId	0x0126
szDeviceIdentifier	{D7B78E66-4266-11CF-1F64-C401B7C2C435}
szDeviceName	\\.\DISPLAY1
szDisplayMemoryEnglish	1696 MB
szDisplayMemoryLocalized	1696 MB
szDisplayModeEnglish	1920 x 1200 (32 bit) (59Hz)
szDisplayModeLocalized	1920 x 1200 (32 bit) (59Hz)
szDriverAssemblyVersion	9.17.10.4101
szDriverAttributes	Final Retail
szDriverDateEnglish	1/30/2015 17:29:32
szDriverDateLocalized	1/30/2015 5:29:32 PM
szDriverLanguageEnglish	English
szDriverLanguageLocalized	English
szDriverModelEnglish	WDDM 1.1
szDriverModelLocalized	WDDM 1.1
szDriverName	igdumd64.dll,igd10umd64.dll,igd10umd64.dll,igdumd32,igd10umd32,igd10umd32
szDriverNodeStrongName	oem255.inf:Intel.Mfg.NTamd64:iSNBM0:9.17.10.4101:pci\ven_8086&dev_0126
szDriverSignDate	
szDriverVersion	9.17.0010.4101
szKeyDeviceID	Enum\PCI\VEN_8086&DEV_0126&SUBSYS_21CE17AA&REV_09
szKeyDeviceKey	\Registry\Machine\System\CurrentControlSet\Control\Video\{D9FEB482-DAA5-4704-86B2-4C76940A458A}\0000
szManufacturer	Intel Corporation
szMiniVdd	n/a
szMiniVddDateEnglish	n/a
szMiniVddDateLocalized	n/a
szMonitorMaxRes	
szMonitorName	HP Compaq LA2405 Wide LCD Monitor
szNotesEnglish	No problems found.
szNotesLocalized	No problems found.
szOverlayEnglish	Supported
szRankOfInstalledDriver	00E02001
szRegHelpText	
szRevision	
szRevisionId	0x0009
szSubSysId	0x21CE17AA
szTestResultD3D7English	Not run
szTestResultD3D7Localized	Not run
szTestResultD3D8English	Not run
szTestResultD3D8Localized	Not run
szTestResultD3D9English	Not run
szTestResultD3D9Localized	Not run
szTestResultDDEnglish	Not run
szTestResultDDLocalized	Not run
szVdd	n/a
szVendorId	0x8086
1
b3DAccelerationEnabled	true
b3DAccelerationExists	true
bAGPEnabled	true
bAGPExistenceValid	true
bAGPExists	true
bCanRenderWindow	true
bDDAccelerationEnabled	true
bDriverBeta	false
bDriverDebug	false
bDriverSigned	false
bDriverSignedValid	false
bNoHardware	false
dwBpp	32
dwDDIVersion	10
dwHeight	900
dwRefreshRate	60
dwWHQLLevel	0
dwWidth	1600
iAdapter	1
lDriverSize	12694808
lMiniVddSize	0
szAGPStatusEnglish	Enabled
szAGPStatusLocalized	Enabled
szChipType	Intel(R) HD Graphics Family
szD3DStatusEnglish	Enabled
szD3DStatusLocalized	Enabled
szDACType	Internal
szDDIVersionEnglish	10.1
szDDIVersionLocalized	10.1
szDDStatusEnglish	Enabled
szDDStatusLocalized	Enabled
szDXVAHDEnglish	Supported
szDXVAModes	ModeMPEG2_A ModeMPEG2_C ModeWMV9_C ModeVC1_C
szDescription	Intel(R) HD Graphics 3000
szDeviceId	0x0126
szDeviceIdentifier	{D7B78E66-4266-11CF-1F64-C401B7C2C435}
szDeviceName	\\.\DISPLAY2
szDisplayMemoryEnglish	1696 MB
szDisplayMemoryLocalized	1696 MB
szDisplayModeEnglish	1600 x 900 (32 bit) (60Hz)
szDisplayModeLocalized	1600 x 900 (32 bit) (60Hz)
szDriverAssemblyVersion	9.17.10.4101
szDriverAttributes	Final Retail
szDriverDateEnglish	1/30/2015 17:29:32
szDriverDateLocalized	1/30/2015 5:29:32 PM
szDriverLanguageEnglish	English
szDriverLanguageLocalized	English
szDriverModelEnglish	WDDM 1.1
szDriverModelLocalized	WDDM 1.1
szDriverName	igdumd64.dll,igd10umd64.dll,igd10umd64.dll,igdumd32,igd10umd32,igd10umd32
szDriverNodeStrongName	oem255.inf:Intel.Mfg.NTamd64:iSNBM0:9.17.10.4101:pci\ven_8086&dev_0126
szDriverSignDate	
szDriverVersion	9.17.0010.4101
szKeyDeviceID	Enum\PCI\VEN_8086&DEV_0126&SUBSYS_21CE17AA&REV_09
szKeyDeviceKey	\Registry\Machine\System\CurrentControlSet\Control\Video\{D9FEB482-DAA5-4704-86B2-4C76940A458A}\0001
szManufacturer	Intel Corporation
szMiniVdd	n/a
szMiniVddDateEnglish	n/a
szMiniVddDateLocalized	n/a
szMonitorMaxRes	
szMonitorName	ThinkPad Display 1600x900
szNotesEnglish	No problems found.
szNotesLocalized	No problems found.
szOverlayEnglish	Supported
szRankOfInstalledDriver	00E02001
szRegHelpText	
szRevision	
szRevisionId	0x0009
szSubSysId	0x21CE17AA
szTestResultD3D7English	Not run
szTestResultD3D7Localized	Not run
szTestResultD3D8English	Not run
szTestResultD3D8Localized	Not run
szTestResultD3D9English	Not run
szTestResultD3D9Localized	Not run
szTestResultDDEnglish	Not run
szTestResultDDLocalized	Not run
szVdd	n/a
szVendorId	0x8086
Log Messages
[15288:14744:0721/163623:ERROR:gpu_video_decode_accelerator.cc(276)] : HW video decode not available for profile 11
GpuProcessHostUIShim: The GPU process exited normally. Everything is okay.
Flags: needinfo?(gkommet)
(In reply to Andy from comment #44)
> [15288:14744:0721/163623:ERROR:gpu_video_decode_accelerator.cc(276)] : HW
> video decode not available for profile 11
Basing on what Matt Woodrow (:mattwoodrow) written in Comment 24 and Comment 25,
profile 11 is VP8, not H.264.
Please redo the test with this video - https://vimeo.com/14965805



(In reply to Tchelovek from comment #43)
> Driver Date: 12-22-2011
> Driver Version: 8.862.4.4000
It's very old driver. Can you update the GPU driver? You can download it from here - https://downloadcenter.intel.com/download/24971/Intel-HD-Graphics-Driver-for-Windows-7-8-64-bit
and please repost your about:support after update.
Flags: needinfo?(te.el.vau)
Flags: needinfo?(gkommet)

Comment 46

2 years ago
(In reply to Virtual_ManPL [:Virtual] from comment #45)
> (In reply to Andy from comment #44)
> > [15288:14744:0721/163623:ERROR:gpu_video_decode_accelerator.cc(276)] : HW
> > video decode not available for profile 11
> Basing on what Matt Woodrow (:mattwoodrow) written in Comment 24 and Comment
> 25,
> profile 11 is VP8, not H.264.
> Please redo the test with this video - https://vimeo.com/14965805
> 
> 
> 
> (In reply to Tchelovek from comment #43)
> > Driver Date: 12-22-2011
> > Driver Version: 8.862.4.4000
> It's very old driver. Can you update the GPU driver? You can download it
> from here -
> https://downloadcenter.intel.com/download/24971/Intel-HD-Graphics-Driver-for-
> Windows-7-8-64-bit
> and please repost your about:support after update.

After updating the driver abbout:support now supplies:

Supports Hardware H264 Decoding	true
Flags: needinfo?(te.el.vau)

Comment 47

2 years ago
(In reply to Virtual_ManPL [:Virtual] from comment #45)
> (In reply to Andy from comment #44)
> > [15288:14744:0721/163623:ERROR:gpu_video_decode_accelerator.cc(276)] : HW
> > video decode not available for profile 11
> Basing on what Matt Woodrow (:mattwoodrow) written in Comment 24 and Comment
> 25,
> profile 11 is VP8, not H.264.
> Please redo the test with this video - https://vimeo.com/14965805
> 
> 
> 
> (In reply to Tchelovek from comment #43)
> > Driver Date: 12-22-2011
> > Driver Version: 8.862.4.4000
> It's very old driver. Can you update the GPU driver? You can download it
> from here -
> https://downloadcenter.intel.com/download/24971/Intel-HD-Graphics-Driver-for-
> Windows-7-8-64-bit
> and please repost your about:support after update.

While updating the Intel graphics driver, gets me "Supports Hardware H264 Decoding	true", it breaks the switching between graphics drivers ( Intel / AMD Radeon(TM) HD 6630M Direct3D11 vs_5_0 ps_5_0 ) so I have to fall back on the original driver, if I want to be able to use both.

The Radeon activated about:support states "Supports Hardware H264 Decoding	true"

Comment 48

2 years ago
Here's my Chrome (now v44) about:gpu output for https://vimeo.com/14965805.

I also tried shutting my external monitor off to test whether that had any effect, but still got the "HW video decode not available for profile 12" message.


Graphics Feature Status
Canvas: Hardware accelerated
Flash: Hardware accelerated
Flash Stage3D: Hardware accelerated
Flash Stage3D Baseline profile: Hardware accelerated
Compositing: Hardware accelerated
Multiple Raster Threads: Enabled
Rasterization: Software only. Hardware acceleration disabled
Threaded Rasterization: Enabled
Video Decode: Hardware accelerated
Video Encode: Hardware accelerated
WebGL: Hardware accelerated
Driver Bug Workarounds
clear_uniforms_before_first_program_use
exit_on_context_lost
scalarize_vec_and_mat_constructor_args
texsubimage2d_faster_than_teximage2d
Problems Detected
Some drivers are unable to reset the D3D device in the GPU process sandbox
Applied Workarounds: exit_on_context_lost
TexSubImage2D() is faster for full uploads on ANGLE
Applied Workarounds: texsubimage2d_faster_than_teximage2d
Clear uniforms before first program use on all platforms: 124764, 349137
Applied Workarounds: clear_uniforms_before_first_program_use
Always rewrite vec/mat constructors to be consistent: 398694
Applied Workarounds: scalarize_vec_and_mat_constructor_args
Accelerated rasterization has been disabled, either via about:flags or command line.
Disabled Features: rasterization
Version Information
Data exported	7/23/2015, 5:30:13 PM
Chrome version	Chrome/44.0.2403.89
Operating system	Windows NT 6.1 SP1
Software rendering list version	10.8
Driver bug list version	8.12
ANGLE commit id	fa9744b09e24
2D graphics backend	Skia
Command Line Args	Files (x86)\Google\Chrome\Application\chrome.exe" --flag-switches-begin --flag-switches-end
Driver Information
Initialization time	85
Sandboxed	false
GPU0	VENDOR = 0x8086, DEVICE= 0x0126
Optimus	false
AMD switchable	false
Desktop compositing	Aero Glass
Driver vendor	Intel Corporation
Driver version	9.17.10.4101
Driver date	1-30-2015
Pixel shader version	4.1
Vertex shader version	4.1
Max. MSAA samples	4
Machine model name	
Machine model version	
GL_VENDOR	Google Inc.
GL_RENDERER	ANGLE (Intel(R) HD Graphics 3000 Direct3D11 vs_4_1 ps_4_1)
GL_VERSION	OpenGL ES 2.0 (ANGLE 2.1.fa9744b09e24)
GL_EXTENSIONS	GL_OES_element_index_uint GL_OES_packed_depth_stencil GL_OES_get_program_binary GL_OES_rgb8_rgba8 GL_EXT_texture_format_BGRA8888 GL_EXT_read_format_bgra GL_NV_pixel_buffer_object GL_OES_mapbuffer GL_EXT_map_buffer_range GL_OES_texture_half_float GL_OES_texture_half_float_linear GL_OES_texture_float GL_OES_texture_float_linear GL_EXT_texture_rg GL_EXT_texture_compression_dxt1 GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_EXT_sRGB GL_ANGLE_depth_texture GL_EXT_texture_storage GL_OES_texture_npot GL_EXT_draw_buffers GL_EXT_texture_filter_anisotropic GL_EXT_occlusion_query_boolean GL_NV_fence GL_EXT_robustness GL_EXT_blend_minmax GL_ANGLE_framebuffer_blit GL_ANGLE_framebuffer_multisample GL_ANGLE_instanced_arrays GL_ANGLE_pack_reverse_row_order GL_OES_standard_derivatives GL_EXT_shader_texture_lod GL_EXT_frag_depth GL_ANGLE_texture_usage GL_ANGLE_translated_shader_source
Disabled Extensions	
Window system binding vendor	Google Inc. (adapter LUID: 000000000000aa91)
Window system binding version	1.4 (ANGLE 2.1.fa9744b09e24)
Window system binding extensions	EGL_EXT_create_context_robustness EGL_ANGLE_d3d_share_handle_client_buffer EGL_ANGLE_surface_d3d_texture_2d_share_handle EGL_ANGLE_query_surface_pointer EGL_ANGLE_window_fixed_size EGL_KHR_create_context EGL_EXT_device_query
Direct rendering	Yes
Reset notification strategy	0x8252
GPU process crash count	0
Diagnostics
0
b3DAccelerationEnabled	true
b3DAccelerationExists	true
bAGPEnabled	true
bAGPExistenceValid	true
bAGPExists	true
bCanRenderWindow	true
bDDAccelerationEnabled	true
bDriverBeta	false
bDriverDebug	false
bDriverSigned	false
bDriverSignedValid	false
bNoHardware	false
dwBpp	32
dwDDIVersion	10
dwHeight	1200
dwRefreshRate	59
dwWHQLLevel	0
dwWidth	1920
iAdapter	0
lDriverSize	12694808
lMiniVddSize	0
szAGPStatusEnglish	Enabled
szAGPStatusLocalized	Enabled
szChipType	Intel(R) HD Graphics Family
szD3DStatusEnglish	Enabled
szD3DStatusLocalized	Enabled
szDACType	Internal
szDDIVersionEnglish	10.1
szDDIVersionLocalized	10.1
szDDStatusEnglish	Enabled
szDDStatusLocalized	Enabled
szDXVAHDEnglish	Supported
szDXVAModes	ModeMPEG2_A ModeMPEG2_C ModeWMV9_C ModeVC1_C
szDescription	Intel(R) HD Graphics 3000
szDeviceId	0x0126
szDeviceIdentifier	{D7B78E66-4266-11CF-1F64-C401B7C2C435}
szDeviceName	\\.\DISPLAY1
szDisplayMemoryEnglish	1696 MB
szDisplayMemoryLocalized	1696 MB
szDisplayModeEnglish	1920 x 1200 (32 bit) (59Hz)
szDisplayModeLocalized	1920 x 1200 (32 bit) (59Hz)
szDriverAssemblyVersion	9.17.10.4101
szDriverAttributes	Final Retail
szDriverDateEnglish	1/30/2015 17:29:32
szDriverDateLocalized	1/30/2015 5:29:32 PM
szDriverLanguageEnglish	English
szDriverLanguageLocalized	English
szDriverModelEnglish	WDDM 1.1
szDriverModelLocalized	WDDM 1.1
szDriverName	igdumd64.dll,igd10umd64.dll,igd10umd64.dll,igdumd32,igd10umd32,igd10umd32
szDriverNodeStrongName	oem255.inf:Intel.Mfg.NTamd64:iSNBM0:9.17.10.4101:pci\ven_8086&dev_0126
szDriverSignDate	
szDriverVersion	9.17.0010.4101
szKeyDeviceID	Enum\PCI\VEN_8086&DEV_0126&SUBSYS_21CE17AA&REV_09
szKeyDeviceKey	\Registry\Machine\System\CurrentControlSet\Control\Video\{D9FEB482-DAA5-4704-86B2-4C76940A458A}\0000
szManufacturer	Intel Corporation
szMiniVdd	n/a
szMiniVddDateEnglish	n/a
szMiniVddDateLocalized	n/a
szMonitorMaxRes	
szMonitorName	HP Compaq LA2405 Wide LCD Monitor
szNotesEnglish	No problems found.
szNotesLocalized	No problems found.
szOverlayEnglish	Supported
szRankOfInstalledDriver	00E02001
szRegHelpText	
szRevision	
szRevisionId	0x0009
szSubSysId	0x21CE17AA
szTestResultD3D7English	Not run
szTestResultD3D7Localized	Not run
szTestResultD3D8English	Not run
szTestResultD3D8Localized	Not run
szTestResultD3D9English	Not run
szTestResultD3D9Localized	Not run
szTestResultDDEnglish	Not run
szTestResultDDLocalized	Not run
szVdd	n/a
szVendorId	0x8086
1
b3DAccelerationEnabled	true
b3DAccelerationExists	true
bAGPEnabled	true
bAGPExistenceValid	true
bAGPExists	true
bCanRenderWindow	true
bDDAccelerationEnabled	true
bDriverBeta	false
bDriverDebug	false
bDriverSigned	false
bDriverSignedValid	false
bNoHardware	false
dwBpp	32
dwDDIVersion	10
dwHeight	900
dwRefreshRate	60
dwWHQLLevel	0
dwWidth	1600
iAdapter	1
lDriverSize	12694808
lMiniVddSize	0
szAGPStatusEnglish	Enabled
szAGPStatusLocalized	Enabled
szChipType	Intel(R) HD Graphics Family
szD3DStatusEnglish	Enabled
szD3DStatusLocalized	Enabled
szDACType	Internal
szDDIVersionEnglish	10.1
szDDIVersionLocalized	10.1
szDDStatusEnglish	Enabled
szDDStatusLocalized	Enabled
szDXVAHDEnglish	Supported
szDXVAModes	ModeMPEG2_A ModeMPEG2_C ModeWMV9_C ModeVC1_C
szDescription	Intel(R) HD Graphics 3000
szDeviceId	0x0126
szDeviceIdentifier	{D7B78E66-4266-11CF-1F64-C401B7C2C435}
szDeviceName	\\.\DISPLAY2
szDisplayMemoryEnglish	1696 MB
szDisplayMemoryLocalized	1696 MB
szDisplayModeEnglish	1600 x 900 (32 bit) (60Hz)
szDisplayModeLocalized	1600 x 900 (32 bit) (60Hz)
szDriverAssemblyVersion	9.17.10.4101
szDriverAttributes	Final Retail
szDriverDateEnglish	1/30/2015 17:29:32
szDriverDateLocalized	1/30/2015 5:29:32 PM
szDriverLanguageEnglish	English
szDriverLanguageLocalized	English
szDriverModelEnglish	WDDM 1.1
szDriverModelLocalized	WDDM 1.1
szDriverName	igdumd64.dll,igd10umd64.dll,igd10umd64.dll,igdumd32,igd10umd32,igd10umd32
szDriverNodeStrongName	oem255.inf:Intel.Mfg.NTamd64:iSNBM0:9.17.10.4101:pci\ven_8086&dev_0126
szDriverSignDate	
szDriverVersion	9.17.0010.4101
szKeyDeviceID	Enum\PCI\VEN_8086&DEV_0126&SUBSYS_21CE17AA&REV_09
szKeyDeviceKey	\Registry\Machine\System\CurrentControlSet\Control\Video\{D9FEB482-DAA5-4704-86B2-4C76940A458A}\0001
szManufacturer	Intel Corporation
szMiniVdd	n/a
szMiniVddDateEnglish	n/a
szMiniVddDateLocalized	n/a
szMonitorMaxRes	
szMonitorName	ThinkPad Display 1600x900
szNotesEnglish	No problems found.
szNotesLocalized	No problems found.
szOverlayEnglish	Supported
szRankOfInstalledDriver	00E02001
szRegHelpText	
szRevision	
szRevisionId	0x0009
szSubSysId	0x21CE17AA
szTestResultD3D7English	Not run
szTestResultD3D7Localized	Not run
szTestResultD3D8English	Not run
szTestResultD3D8Localized	Not run
szTestResultD3D9English	Not run
szTestResultD3D9Localized	Not run
szTestResultDDEnglish	Not run
szTestResultDDLocalized	Not run
szVdd	n/a
szVendorId	0x8086
Log Messages
GpuProcessHostUIShim: The GPU process exited normally. Everything is okay.
[18672:7192:0723/104922:ERROR:gpu_video_decode_accelerator.cc(280)] : HW video decode not available for profile 12
Flags: needinfo?(gkommet)
Now you fall off to VP9 decoding, before it was VP8, so still not H.264.
Can you try "h264ify" extension on Chrome which suggested Matt Woodrow (:mattwoodrow) in Comment #24 and test some full HD movie on YouTube?
Flags: needinfo?(gkommet)

Comment 50

2 years ago
Installed h264ify, opened https://www.youtube.com/watch?v=BVHPS_RVtQQ, made sure it was set to 1080p, confirmed in the "Stats for nerds" popup that Resolution is 1920 x 1080@30 and the MIME Type is 'video/mp4; codecs="avc1.640028"', and got the following:

Graphics Feature Status
Canvas: Hardware accelerated
Flash: Hardware accelerated
Flash Stage3D: Hardware accelerated
Flash Stage3D Baseline profile: Hardware accelerated
Compositing: Hardware accelerated
Multiple Raster Threads: Enabled
Rasterization: Software only. Hardware acceleration disabled
Threaded Rasterization: Enabled
Video Decode: Hardware accelerated
Video Encode: Hardware accelerated
WebGL: Hardware accelerated
Driver Bug Workarounds
clear_uniforms_before_first_program_use
exit_on_context_lost
scalarize_vec_and_mat_constructor_args
texsubimage2d_faster_than_teximage2d
Problems Detected
Some drivers are unable to reset the D3D device in the GPU process sandbox
Applied Workarounds: exit_on_context_lost
TexSubImage2D() is faster for full uploads on ANGLE
Applied Workarounds: texsubimage2d_faster_than_teximage2d
Clear uniforms before first program use on all platforms: 124764, 349137
Applied Workarounds: clear_uniforms_before_first_program_use
Always rewrite vec/mat constructors to be consistent: 398694
Applied Workarounds: scalarize_vec_and_mat_constructor_args
Accelerated rasterization has been disabled, either via about:flags or command line.
Disabled Features: rasterization
Version Information
Data exported	7/24/2015, 4:29:32 PM
Chrome version	Chrome/44.0.2403.89
Operating system	Windows NT 6.1 SP1
Software rendering list version	10.8
Driver bug list version	8.12
ANGLE commit id	fa9744b09e24
2D graphics backend	Skia
Command Line Args	Files (x86)\Google\Chrome\Application\chrome.exe" --flag-switches-begin --flag-switches-end
Driver Information
Initialization time	60
Sandboxed	false
GPU0	VENDOR = 0x8086, DEVICE= 0x0126
Optimus	false
AMD switchable	false
Desktop compositing	Aero Glass
Driver vendor	Intel Corporation
Driver version	9.17.10.4101
Driver date	1-30-2015
Pixel shader version	4.1
Vertex shader version	4.1
Max. MSAA samples	4
Machine model name	
Machine model version	
GL_VENDOR	Google Inc.
GL_RENDERER	ANGLE (Intel(R) HD Graphics 3000 Direct3D11 vs_4_1 ps_4_1)
GL_VERSION	OpenGL ES 2.0 (ANGLE 2.1.fa9744b09e24)
GL_EXTENSIONS	GL_OES_element_index_uint GL_OES_packed_depth_stencil GL_OES_get_program_binary GL_OES_rgb8_rgba8 GL_EXT_texture_format_BGRA8888 GL_EXT_read_format_bgra GL_NV_pixel_buffer_object GL_OES_mapbuffer GL_EXT_map_buffer_range GL_OES_texture_half_float GL_OES_texture_half_float_linear GL_OES_texture_float GL_OES_texture_float_linear GL_EXT_texture_rg GL_EXT_texture_compression_dxt1 GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_EXT_sRGB GL_ANGLE_depth_texture GL_EXT_texture_storage GL_OES_texture_npot GL_EXT_draw_buffers GL_EXT_texture_filter_anisotropic GL_EXT_occlusion_query_boolean GL_NV_fence GL_EXT_robustness GL_EXT_blend_minmax GL_ANGLE_framebuffer_blit GL_ANGLE_framebuffer_multisample GL_ANGLE_instanced_arrays GL_ANGLE_pack_reverse_row_order GL_OES_standard_derivatives GL_EXT_shader_texture_lod GL_EXT_frag_depth GL_ANGLE_texture_usage GL_ANGLE_translated_shader_source
Disabled Extensions	
Window system binding vendor	Google Inc. (adapter LUID: 000000000000aa91)
Window system binding version	1.4 (ANGLE 2.1.fa9744b09e24)
Window system binding extensions	EGL_EXT_create_context_robustness EGL_ANGLE_d3d_share_handle_client_buffer EGL_ANGLE_surface_d3d_texture_2d_share_handle EGL_ANGLE_query_surface_pointer EGL_ANGLE_window_fixed_size EGL_KHR_create_context EGL_EXT_device_query
Direct rendering	Yes
Reset notification strategy	0x8252
GPU process crash count	0
Diagnostics
0
b3DAccelerationEnabled	true
b3DAccelerationExists	true
bAGPEnabled	true
bAGPExistenceValid	true
bAGPExists	true
bCanRenderWindow	true
bDDAccelerationEnabled	true
bDriverBeta	false
bDriverDebug	false
bDriverSigned	false
bDriverSignedValid	false
bNoHardware	false
dwBpp	32
dwDDIVersion	10
dwHeight	1200
dwRefreshRate	59
dwWHQLLevel	0
dwWidth	1920
iAdapter	0
lDriverSize	12694808
lMiniVddSize	0
szAGPStatusEnglish	Enabled
szAGPStatusLocalized	Enabled
szChipType	Intel(R) HD Graphics Family
szD3DStatusEnglish	Enabled
szD3DStatusLocalized	Enabled
szDACType	Internal
szDDIVersionEnglish	10.1
szDDIVersionLocalized	10.1
szDDStatusEnglish	Enabled
szDDStatusLocalized	Enabled
szDXVAHDEnglish	Supported
szDXVAModes	ModeMPEG2_A ModeMPEG2_C ModeWMV9_C ModeVC1_C
szDescription	Intel(R) HD Graphics 3000
szDeviceId	0x0126
szDeviceIdentifier	{D7B78E66-4266-11CF-1F64-C401B7C2C435}
szDeviceName	\\.\DISPLAY1
szDisplayMemoryEnglish	1696 MB
szDisplayMemoryLocalized	1696 MB
szDisplayModeEnglish	1920 x 1200 (32 bit) (59Hz)
szDisplayModeLocalized	1920 x 1200 (32 bit) (59Hz)
szDriverAssemblyVersion	9.17.10.4101
szDriverAttributes	Final Retail
szDriverDateEnglish	1/30/2015 17:29:32
szDriverDateLocalized	1/30/2015 5:29:32 PM
szDriverLanguageEnglish	English
szDriverLanguageLocalized	English
szDriverModelEnglish	WDDM 1.1
szDriverModelLocalized	WDDM 1.1
szDriverName	igdumd64.dll,igd10umd64.dll,igd10umd64.dll,igdumd32,igd10umd32,igd10umd32
szDriverNodeStrongName	oem255.inf:Intel.Mfg.NTamd64:iSNBM0:9.17.10.4101:pci\ven_8086&dev_0126
szDriverSignDate	
szDriverVersion	9.17.0010.4101
szKeyDeviceID	Enum\PCI\VEN_8086&DEV_0126&SUBSYS_21CE17AA&REV_09
szKeyDeviceKey	\Registry\Machine\System\CurrentControlSet\Control\Video\{D9FEB482-DAA5-4704-86B2-4C76940A458A}\0000
szManufacturer	Intel Corporation
szMiniVdd	n/a
szMiniVddDateEnglish	n/a
szMiniVddDateLocalized	n/a
szMonitorMaxRes	
szMonitorName	HP Compaq LA2405 Wide LCD Monitor
szNotesEnglish	No problems found.
szNotesLocalized	No problems found.
szOverlayEnglish	Supported
szRankOfInstalledDriver	00E02001
szRegHelpText	
szRevision	
szRevisionId	0x0009
szSubSysId	0x21CE17AA
szTestResultD3D7English	Not run
szTestResultD3D7Localized	Not run
szTestResultD3D8English	Not run
szTestResultD3D8Localized	Not run
szTestResultD3D9English	Not run
szTestResultD3D9Localized	Not run
szTestResultDDEnglish	Not run
szTestResultDDLocalized	Not run
szVdd	n/a
szVendorId	0x8086
1
b3DAccelerationEnabled	true
b3DAccelerationExists	true
bAGPEnabled	true
bAGPExistenceValid	true
bAGPExists	true
bCanRenderWindow	true
bDDAccelerationEnabled	true
bDriverBeta	false
bDriverDebug	false
bDriverSigned	false
bDriverSignedValid	false
bNoHardware	false
dwBpp	32
dwDDIVersion	10
dwHeight	900
dwRefreshRate	60
dwWHQLLevel	0
dwWidth	1600
iAdapter	1
lDriverSize	12694808
lMiniVddSize	0
szAGPStatusEnglish	Enabled
szAGPStatusLocalized	Enabled
szChipType	Intel(R) HD Graphics Family
szD3DStatusEnglish	Enabled
szD3DStatusLocalized	Enabled
szDACType	Internal
szDDIVersionEnglish	10.1
szDDIVersionLocalized	10.1
szDDStatusEnglish	Enabled
szDDStatusLocalized	Enabled
szDXVAHDEnglish	Supported
szDXVAModes	ModeMPEG2_A ModeMPEG2_C ModeWMV9_C ModeVC1_C
szDescription	Intel(R) HD Graphics 3000
szDeviceId	0x0126
szDeviceIdentifier	{D7B78E66-4266-11CF-1F64-C401B7C2C435}
szDeviceName	\\.\DISPLAY2
szDisplayMemoryEnglish	1696 MB
szDisplayMemoryLocalized	1696 MB
szDisplayModeEnglish	1600 x 900 (32 bit) (60Hz)
szDisplayModeLocalized	1600 x 900 (32 bit) (60Hz)
szDriverAssemblyVersion	9.17.10.4101
szDriverAttributes	Final Retail
szDriverDateEnglish	1/30/2015 17:29:32
szDriverDateLocalized	1/30/2015 5:29:32 PM
szDriverLanguageEnglish	English
szDriverLanguageLocalized	English
szDriverModelEnglish	WDDM 1.1
szDriverModelLocalized	WDDM 1.1
szDriverName	igdumd64.dll,igd10umd64.dll,igd10umd64.dll,igdumd32,igd10umd32,igd10umd32
szDriverNodeStrongName	oem255.inf:Intel.Mfg.NTamd64:iSNBM0:9.17.10.4101:pci\ven_8086&dev_0126
szDriverSignDate	
szDriverVersion	9.17.0010.4101
szKeyDeviceID	Enum\PCI\VEN_8086&DEV_0126&SUBSYS_21CE17AA&REV_09
szKeyDeviceKey	\Registry\Machine\System\CurrentControlSet\Control\Video\{D9FEB482-DAA5-4704-86B2-4C76940A458A}\0001
szManufacturer	Intel Corporation
szMiniVdd	n/a
szMiniVddDateEnglish	n/a
szMiniVddDateLocalized	n/a
szMonitorMaxRes	
szMonitorName	ThinkPad Display 1600x900
szNotesEnglish	No problems found.
szNotesLocalized	No problems found.
szOverlayEnglish	Supported
szRankOfInstalledDriver	00E02001
szRegHelpText	
szRevision	
szRevisionId	0x0009
szSubSysId	0x21CE17AA
szTestResultD3D7English	Not run
szTestResultD3D7Localized	Not run
szTestResultD3D8English	Not run
szTestResultD3D8Localized	Not run
szTestResultD3D9English	Not run
szTestResultD3D9Localized	Not run
szTestResultDDEnglish	Not run
szTestResultDDLocalized	Not run
szVdd	n/a
szVendorId	0x8086
Log Messages
GpuProcessHostUIShim: The GPU process exited normally. Everything is okay.
Flags: needinfo?(gkommet)
(Assignee)

Comment 51

2 years ago
That's really interesting Andy.

Can you please try this build:

http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/mwoodrow@mozilla.com-e68e4fd7a57d/try-win32/

That should log the precise reason why we don't support accelerated h264 into about:support.
Flags: needinfo?(gkommet)

Comment 52

2 years ago
(In reply to Matt Woodrow (:mattwoodrow) from comment #51)
> That's really interesting Andy.
> 
> Can you please try this build:
> 
> http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/mwoodrow@mozilla.
> com-e68e4fd7a57d/try-win32/
> 
> That should log the precise reason why we don't support accelerated h264
> into about:support.

Sorry, I was on vacation last week and it looks like that try build has been purged.

I'm back now and willing to test, if you could upload a new build for me.
Flags: needinfo?(matt.woodrow)
(Assignee)

Comment 53

2 years ago
The link is working again now, thanks for taking a look!
Flags: needinfo?(matt.woodrow)
(In reply to Matt Woodrow (:mattwoodrow) from comment #51)
> That should log the precise reason why we don't support accelerated h264
> into about:support.

Do you feel like modifying about:support to show the reason why H.264 decoding is disabled?
(Assignee)

Comment 55

2 years ago
(In reply to Anthony Jones (:kentuckyfriedtakahe, :k17e) from comment #54)
> (In reply to Matt Woodrow (:mattwoodrow) from comment #51)
> > That should log the precise reason why we don't support accelerated h264
> > into about:support.
> 
> Do you feel like modifying about:support to show the reason why H.264
> decoding is disabled?

That's what my patch does. I would quite like to land it.
(Assignee)

Comment 56

2 years ago
Created attachment 8643074 [details] [diff] [review]
Log DXVA failure reason to about:support
Attachment #8643074 - Flags: review?(cpearce)

Comment 57

2 years ago
Looks like the culprit was "Too many DXVA videos playing" in my case, though no videos were actually playing at the time.

Here's my initial output with your new build:

Adapter Description	Intel(R) HD Graphics 3000
Adapter Drivers	igdumd64 igd10umd64 igd10umd64 igdumd32 igd10umd32 igd10umd32
Adapter RAM	Unknown
Asynchronous Pan/Zoom	none
Device ID	0x0126
Direct2D Enabled	true
DirectWrite Enabled	true (6.2.9200.17292)
Driver Date	1-30-2015
Driver Version	9.17.10.4101
GPU #2 Active	false
GPU Accelerated Windows	16/16 Direct3D 11 (OMTC)
Subsys ID	21ce17aa
Supports Hardware H264 Decoding	No; Too many DXVA videos playing
Vendor ID	0x8086
WebGL Renderer	Google Inc. -- ANGLE (Intel(R) HD Graphics 3000 Direct3D9Ex vs_3_0 ps_3_0)
windowLayerManagerRemote	true
AzureCanvasBackend	direct2d 1.1
AzureContentBackend	direct2d 1.1
AzureFallbackCanvasBackend	cairo
AzureSkiaAccelerated	0

After closing a bunch of windows and tabs, many of which included inactive YouTube embeds (i.e. available to be clicked to load and play a video but as yet unclicked), I now get this:

Adapter Description	Intel(R) HD Graphics 3000
Adapter Drivers	igdumd64 igd10umd64 igd10umd64 igdumd32 igd10umd32 igd10umd32
Adapter RAM	Unknown
Asynchronous Pan/Zoom	none
Device ID	0x0126
Direct2D Enabled	true
DirectWrite Enabled	true (6.2.9200.17292)
Driver Date	1-30-2015
Driver Version	9.17.10.4101
GPU #2 Active	false
GPU Accelerated Windows	8/8 Direct3D 11 (OMTC)
Subsys ID	21ce17aa
Supports Hardware H264 Decoding	Yes
Vendor ID	0x8086
WebGL Renderer	Google Inc. -- ANGLE (Intel(R) HD Graphics 3000 Direct3D9Ex vs_3_0 ps_3_0)
windowLayerManagerRemote	true
AzureCanvasBackend	direct2d 1.1
AzureContentBackend	direct2d 1.1
AzureFallbackCanvasBackend	cairo
AzureSkiaAccelerated	0
Flags: needinfo?(gkommet)
(Assignee)

Comment 58

2 years ago
Ok, thanks, that's really interesting. We might need to be lazier in instantiating the decoders to make sure that inactive videos aren't stopping us from using the h/w decoders for active videos.

ni?jya as a default here, not sure who's the best person to look into inactivity stuff at the moment.
Flags: needinfo?(jyavenard)
(In reply to Matt Woodrow (:mattwoodrow) from comment #58)
> Ok, thanks, that's really interesting. We might need to be lazier in
> instantiating the decoders to make sure that inactive videos aren't stopping
> us from using the h/w decoders for active videos.

Sotaro worked on the dormant stuff but it might've got broken by some of the other changes.
Comment on attachment 8643074 [details] [diff] [review]
Log DXVA failure reason to about:support

Review of attachment 8643074 [details] [diff] [review]:
-----------------------------------------------------------------

::: dom/base/nsDOMWindowUtils.cpp
@@ +2287,2 @@
>  #else
> +  aRetval.AssignLiteral("No; Compiled without fragmented MP4 support."); 

Trailing space.

And I'd leave out the "fragmented" here; we use the same path for non-fragmented MP4 now too.

::: dom/interfaces/base/nsIDOMWindowUtils.idl
@@ +1341,5 @@
>     * True if we can initialize a hardware-backed h264 decoder for a simple
>     * test video, does not mean that all h264 video decoding will be done
>     * in hardware.
>     */
> +  readonly attribute AString supportsHardwareH264Decoding;

You need to rev the uuid on the XPCOM interface.

::: dom/media/platforms/wmf/DXVA2Manager.cpp
@@ +222,5 @@
>    // videos we use DXVA with at any one time.
>    const uint32_t dxvaLimit =
>      Preferences::GetInt("media.windows-media-foundation.max-dxva-videos", 8);
>    if (sDXVAVideosCount == dxvaLimit) {
> +    aFailureReason.AssignLiteral("Too many DXVA videos playing");

Reporting (spuriously) that DXVA didn't work due to this would be most misleading!
Attachment #8643074 - Flags: review?(cpearce) → review+
Note that hardware accelration with MSE (YouTube) is broken in nightly and has been for over a month. 

Bug 1188131
Flags: needinfo?(jyavenard)
Duplicate of this bug: 1193360
@ Yorgos - Please see Comment 51 & Comment 30 to report back what Firefox says
and Comment 24 & Comment 28 to report back what Chrome says
Flags: needinfo?(condacum)

Comment 64

2 years ago
I dont have the key
media.windows-media-foundation.allow-d3d11-dxva
in FF40, perhaps because Firefox requirs newer OS than Vista? anyway my card supports d3d11 (GTX650).
Perhaps I have to set manually the key to true i FF40 regarding H264.
http://postimg.org/image/efnwbhxw9/

I remeber that FF39 supported h264 acceleration, a 1080p video = 6-9% CPU.
Flags: needinfo?(condacum)
@ Yorgos - Looks like I didn't explained myself properly.

1.
Please download and install this build - https://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/mwoodrow@mozilla.com-e68e4fd7a57d/try-win32/firefox-42.0a1.en-US.win32.installer.exe
and next copy and attach here whole "Graphics" section from about:support

2. Go to about:config, create new boolean preference with name "media.windows-media-foundation.allow-d3d11-dxva" in about:config with "true" value and next copy and attach here whole "Graphics" section from about:support

3.
With Chrome open for example https://vimeo.com/14965805 or YouTube 1080p movie (need h264ify Chrome extension to enable H.264 instead of VP9 and VP8) and next copy and attach here whole info from chrome:gpu
Flags: needinfo?(condacum)

Comment 66

2 years ago
1. Unfortunately I am not a beta tester.
 I work with my pc, i.e. not for testing purposes.

2. about:config with my FF40 ?

3. I dont have Chrome.
Flags: needinfo?(condacum)
1. But you can also use ZIP package without installing it - https://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/mwoodrow@mozilla.com-e68e4fd7a57d/try-win32/firefox-42.0a1.en-US.win32.zip

2. Yes, but mainly I was talking about this test build which I posted

3. But you can test it on Chrome without installing it by using Portable version from here - http://portableapps.com/apps/internet/google_chrome_portable
Flags: needinfo?(condacum)

Comment 68

2 years ago
Ok, if they are surely Portable I will try them. thanks.
at the moment I say:

In the CCList there are 13 email adresses. Perhaps some of those 13 may want to try with FF42 or with Chrome and report the graphics, if they have a pc for testing?
I can only say:

-my card supports up to 4K 30p via dxva (= pure video 5, I guess)
-on all previous FF versions a 1080p video (flash, silverlight, pure H264 with new internal mozilla player, I dont remember the name of this player) required 6-8-11-9% CPU, now the same video requires 47-54%.
-other applications getting DXVA2 are for example: MPC-HC.
-drivers:
as you can see here
https://forums.geforce.com/default/board/33/
the latest very rock solid driver is 347.88, nvidia itself is aware see please http://postimg.org/image/8i990x0c7/ 
with 353 series there are TDR in firefox (and chrome) from gtx 500 until gtx 980, from vista until w10. so if you want very solid drivers you have to test Firefox with 347.88 (other people said 350, but I never tried it, only 353 with problems).
Flags: needinfo?(condacum)
@ Yorgos - They already done that, if you looked on how many comments this bug has. Unfortunately it didn't get us close to diagnosing this issue. So that's why I'm asking for your help, as you also experienced this bug.

I also have NVIDIA GPU, which is GTX 460 v2 and I also have problems with any newer driver than 347.88, as it will hang any games. But this problem is not about it and it's not related.
Flags: needinfo?(condacum)

Comment 70

2 years ago
I go
https://crash-stats.mozilla.com/report/index/3ce42c93-37f9-4b07-91ec-413ec2150812
also nothing done.

I hope to read good news here from other users ;) 
(when the thread is too long, that means: no solutions available in the future jajaja ;)

My HDD is working too hard now with FF40 (and it's hot summer hehe).
I use flash because html5 does not support GPU.

another thing related with graphics (?):
with FF40, when you minimize Firefox (or when you close "Options" small window, old style, not inContent **) there is 0.2 seconds "lag" (not a lag), while until FF39 all was smooth and without 0.2 seconds delay. As it would run into a VM, or as when you record the desktop with VLC.


[a short OT:
**) I dont appreciate the new inContent style for Addons tab in FF40: plugins and addons without the build number?!? you have to use mouse and tooltip to see Adobe Flash >18.0.0.232< or ADB plus >2.6.10< instead of an unuseful ADB plus or Adobe Flash without numbers. I dont agree with this change/"ameliorament" ]
Flags: needinfo?(condacum)

Comment 71

2 years ago
Anyway I typed your string into FF40; I become False.
Surely not due to GPU: since a 1080p with MPC-HC (default settings) looks 6%
http://postimg.org/image/4h5y0ezed/
I also don't like add-ons manager change.
So can you do that what I wrote in Comment 65 or don't wanna?
Flags: needinfo?(condacum)

Comment 73

2 years ago
as said, I go
https://crash-stats.mozilla.com/report/index/3ce42c93-37f9-4b07-91ec-413ec2150812
Flags: needinfo?(condacum)
Where it crashing? Specific site or just whole browser after start?
What about point 2 and 3 from Comment 65?
Flags: needinfo?(condacum)

Comment 75

2 years ago
the second!!

point 2: already anwsered see above.

3. even the portable version is "malware", I have to use adwcleaner, zhpdiag, since even chrome portable is a real malware.
Flags: needinfo?(condacum)

Comment 76

2 years ago
hey! from crash to crash in FF42...I was able to take a screenshot!
I hope this may help well in understanding why firefox (40 and 42) is refusing dxva on my system

http://postimg.org/image/sigkor4qn/

Comment 77

2 years ago
I googled the code error (see photo above)
perhaps this new crash, appeared with FF40, (runtime c++ error) may be strongly related with my:

https://bugzilla.mozilla.org/show_bug.cgi?id=1193676

(this only an idea ;)
OK. Awesome. Another hint.
I read that "C00D6D60" error is "MF_E_TRANSFORM_TYPE_NOT_SET", which is "A valid type has not been set for this stream or a stream that it depends on.". It redirects me to - https://msdn.microsoft.com/en-us/library/windows/desktop/aa965264%28v=vs.85%29.aspx



Any ideas guys?
Flags: needinfo?(mchang)
Flags: needinfo?(matt.woodrow)
Status: REOPENED → ASSIGNED

Comment 79

2 years ago
They say:
"
MF_E_TRANSFORM_TYPE_NOT_SET
You must set the output types before setting the input types. "
perhaps another hint.

Or it were interesting discovering what changed between FF39 and FF40, what has been added or removed, to understand deeper; for example if I type dxva in about:config I see nothing, in the past I saw strings.

[If I discover that "chrome portable" is as portable as "firefox portable", i.e. without installig things in regedit, then I try your step 3 above, 
much appreciated your help and your patience.]
Step 2: in both ff40 and 42: the same behaviour and effects. In meantime I was able to restart FF42 portable, without the above quoted crash.
I confirm for ff40 by minimizing it to the bottom bar, a behaviour like as it were running in a VM, never noticed before, but not a real lag.
Very very good the amelioraments in vertical scrolling (scrolling a big FB photoalbum until the end is still not so smooth, perhaps due to ram usage required by those albums), but you did a very great ameliorament in vscrolling. Thanks.

Comment 80

2 years ago
Due to the crashes in FF42 portable I forgot to post the whole Graphics with FF42, here is it ;) sorry.
http://postimg.org/image/awiacu4ap/
(Assignee)

Comment 81

2 years ago
(In reply to Virtual_ManPL [:Virtual] from comment #78)
> OK. Awesome. Another hint.
> I read that "C00D6D60" error is "MF_E_TRANSFORM_TYPE_NOT_SET", which is "A
> valid type has not been set for this stream or a stream that it depends
> on.". It redirects me to -
> https://msdn.microsoft.com/en-us/library/windows/desktop/aa965264%28v=vs.
> 85%29.aspx
> 
> 
> 
> Any ideas guys?

It's interesting. It sort of suggests that we need to setup the input/output types of the decoder before attempting to request hardware decoding.

We do this in the other order normally (and I believe it would fail if we didn't!), but this might be specific to the vista implementation of the code.

I'll have a play around tomorrow to see if reversing the order still works on newer versions of windows (don't have vista handy).
Flags: needinfo?(matt.woodrow)

Comment 82

2 years ago
(if it is due to Vista, perhaps you may want to add a regression, if Firefox is aware to be installed on Vista; that is only an idea; as in webm: even if the card is d3d11 capable, firefox on vista requires d3d9)
(Assignee)

Comment 83

2 years ago
(In reply to Yorgos from comment #82)
> (if it is due to Vista, perhaps you may want to add a regression, if Firefox
> is aware to be installed on Vista; that is only an idea; as in webm: even if
> the card is d3d11 capable, firefox on vista requires d3d9)

Give this build a try: http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/mwoodrow@mozilla.com-fb3d4df54c46/try-win32/

It's a long shot, but hopefully it helps.

Comment 84

2 years ago
hi, made this account to comment on this video issue, thanks for the work in here, its proved to be a successful workaround on the h264 video issue! 

installed Matt's Nightly link above,   tweaked those about:config settings namely and finally the cpu has shot down to <5% and the gpu has taken the 17% video load  


windows 10
gtx 760 geforce 355.60 






------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------

Application Basics
------------------

Name: Firefox
Version: 43.0a1
Build ID: 20150813152114
Update Channel: default
User Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:43.0) Gecko/20100101 Firefox/43.0
Multiprocess Windows: 1/1 (default: true)
Safe Mode: false

Crash Reports for the Last 3 Days
---------------------------------

All Crash Reports

Extensions
----------

Name: Classic Theme Restorer
Version: 1.3.7.1
Enabled: true
ID: ClassicThemeRestorer@ArisT2Noia4dev

Name: Context Search
Version: 0.6.3.1-signed
Enabled: true
ID: {902D2C4A-457A-4EF9-AD43-7014562929FF}

Name: Facebook Disconnect
Version: 2.1.3.1-signed
Enabled: true
ID: facebook@disconnect.me

Name: Greasemonkey
Version: 3.3
Enabled: true
ID: {e4a8a97b-f2ed-450b-b12d-ee082ba24781}

Name: New Tab Toolbar Button Updated Version
Version: 1.2.1-signed
Enabled: true
ID: {42975993-6fa0-46f5-a45f-706915f18ebc}

Name: Reddit Enhancement Suite
Version: 4.5.4.1-signed
Enabled: true
ID: jid1-xUfzOsOFlzSOXg@jetpack

Name: Search in YouTube
Version: 1.0.1-signed
Enabled: true
ID: searchyoutube@searchyoutube.fr

Name: uBlock Origin
Version: 1.0.0.1
Enabled: true
ID: uBlock0@raymondhill.net

Name: Video DownloadHelper
Version: 5.3.1.1-signed
Enabled: true
ID: {b9db16a4-6edc-47ec-a1f4-b86292ed211d}

Name: iMacros for Firefox
Version: 8.9.2.1-signed
Enabled: false
ID: {81BF1D23-5F17-408D-AC6B-BD6DF7CAF670}

Name: Logitech SetPoint
Version: 6.5
Enabled: false
ID: {F003DA68-8256-4b37-A6C4-350FA04494DF}

Name: RequestPolicy
Version: 0.5.28.1-signed
Enabled: false
ID: requestpolicy@requestpolicy.com

Graphics
--------

Adapter Description: NVIDIA GeForce GTX 760
Adapter Drivers: nvd3dumx,nvwgf2umx,nvwgf2umx,nvwgf2umx nvd3dum,nvwgf2um,nvwgf2um,nvwgf2um
Adapter RAM: 2048
Asynchronous Pan/Zoom: wheel input enabled
ClearType Parameters: D [ Gamma: 2200 Pixel Structure: R ClearType Level: 100 Enhanced Contrast: 100 ] D [ Gamma: 2200 Pixel Structure: R ClearType Level: 100 Enhanced Contrast: 0 ] D [ Gamma: 2200 Pixel Structure: B ClearType Level: 0 Enhanced Contrast: 0 ]
Device ID: 0x1187
Direct2D Enabled: true
DirectWrite Enabled: true (10.0.10240.16430)
Driver Date: 8-6-2015
Driver Version: 10.18.13.5560
GPU #2 Active: false
GPU Accelerated Windows: 1/1 Direct3D 11 (OMTC)
Subsys ID: 27653842
Supports Hardware H264 Decoding: Yes
Vendor ID: 0x10de
WebGL Renderer: Google Inc. -- ANGLE (NVIDIA GeForce GTX 760 Direct3D9Ex vs_3_0 ps_3_0)
windowLayerManagerRemote: true
AzureCanvasBackend: direct2d 1.1
AzureContentBackend: direct2d 1.1
AzureFallbackCanvasBackend: cairo
AzureSkiaAccelerated: 0

Important Modified Preferences
------------------------------

accessibility.typeaheadfind.flashBar: 0
browser.cache.disk.capacity: 358400
browser.cache.disk.filesystem_reported: 1
browser.cache.disk.smart_size.first_run: false
browser.cache.disk.smart_size.use_old_max: false
browser.cache.frecency_experiment: 4
browser.download.folderList: 2
browser.download.importedFromSqlite: true
browser.places.smartBookmarksVersion: 7
browser.search.suggest.enabled: false
browser.search.useDBForOrder: true
browser.sessionstore.upgradeBackup.latestBuildID: 20150813152114
browser.startup.homepage: google.co.uk
browser.startup.homepage_override.buildID: 20150813152114
browser.startup.homepage_override.mstone: 43.0a1
browser.tabs.animate: false
browser.tabs.warnOnClose: false
dom.apps.reset-permissions: true
dom.mozApps.used: true
extensions.lastAppVersion: 43.0a1
font.internaluseonly.changed: true
gfx.crash-guard.d3d11layers.appVersion: 43.0a1
gfx.crash-guard.d3d11layers.deviceID: 0x1187
gfx.crash-guard.d3d11layers.driverVersion: 10.18.13.5560
gfx.crash-guard.d3d11layers.feature-d2d: true
gfx.crash-guard.d3d11layers.feature-d3d11: true
gfx.crash-guard.status.d3d11layers: 2
gfx.direct2d.force-enabled: true
gfx.direct3d.last_used_feature_level_idx: 0
gfx.font_rendering.directwrite.enabled: true
layers.acceleration.force-enabled: true
media.eme.enabled: false
media.gmp-eme-adobe.lastUpdate: 1438230256
media.gmp-gmpopenh264.lastUpdate: 1438230256
media.gmp-gmpopenh264.version: 1.4
media.gmp-manager.buildID: 20150813152114
media.gmp-manager.lastCheck: 1439539987
media.hardware-video-decoding.failed: false
media.peerconnection.enabled: false
media.windows-media-foundation.allow-d3d11-dxva: true
network.cookie.prefsMigrated: true
network.http.max-persistent-connections-per-server: 8
network.predictor.cleaned-up: true
network.prefetch-next: false
places.database.lastMaintenance: 1439521446
places.history.expiration.transient_current_max_pages: 104858
plugin.disable_full_page_plugin_for_types: application/pdf
plugin.importedState: true
privacy.cpd.cookies: false
privacy.cpd.sessions: false
privacy.donottrackheader.enabled: true
privacy.donottrackheader.value: 1
privacy.sanitize.migrateFx3Prefs: true
privacy.sanitize.timeSpan: 3
security.sandbox.content.tempDirSuffix: {f2b21f81-d576-4d53-9ffb-7853a6689320}
storage.vacuum.last.index: 1
storage.vacuum.last.places.sqlite: 1438268329
webgl.force-enabled: true
webgl.msaa-force: true

Important Locked Preferences
----------------------------

JavaScript
----------

Incremental GC: true

Accessibility
-------------

Activated: false
Prevent Accessibility: 0

Library Versions
----------------

NSPR
Expected minimum version: 4.10.9 Beta
Version in use: 4.10.9 Beta

NSS
Expected minimum version: 3.19.3 Basic ECC
Version in use: 3.19.3 Basic ECC

NSSSMIME
Expected minimum version: 3.19.3 Basic ECC
Version in use: 3.19.3 Basic ECC

NSSSSL
Expected minimum version: 3.19.3 Basic ECC
Version in use: 3.19.3 Basic ECC

NSSUTIL
Expected minimum version: 3.19.3
Version in use: 3.19.3

Experimental Features
---------------------

Comment 85

2 years ago
oh sorry this one 

Graphics
Adapter Description	NVIDIA GeForce GTX 760
Adapter Drivers	nvd3dumx,nvwgf2umx,nvwgf2umx,nvwgf2umx nvd3dum,nvwgf2um,nvwgf2um,nvwgf2um
Adapter RAM	2048
Asynchronous Pan/Zoom	wheel input enabled
ClearType Parameters	D [ Gamma: 2200 Pixel Structure: R ClearType Level: 100 Enhanced Contrast: 100 ] D [ Gamma: 2200 Pixel Structure: R ClearType Level: 100 Enhanced Contrast: 0 ] D [ Gamma: 2200 Pixel Structure: B ClearType Level: 0 Enhanced Contrast: 0 ]
Device ID	0x1187
Direct2D Enabled	true
DirectWrite Enabled	true (10.0.10240.16430)
Driver Date	8-6-2015
Driver Version	10.18.13.5560
GPU #2 Active	false
GPU Accelerated Windows	1/1 Direct3D 11 (OMTC)
Subsys ID	27653842
Supports Hardware H264 Decoding	Yes
Vendor ID	0x10de
WebGL Renderer	Google Inc. -- ANGLE (NVIDIA GeForce GTX 760 Direct3D9Ex vs_3_0 ps_3_0)
windowLayerManagerRemote	true
AzureCanvasBackend	direct2d 1.1
AzureContentBackend	direct2d 1.1
AzureFallbackCanvasBackend	cairo
AzureSkiaAccelerated	0


accessibility.typeaheadfind.flashBar	0
browser.cache.disk.capacity	358400
browser.cache.disk.filesystem_reported	1
browser.cache.disk.smart_size.first_run	false
browser.cache.disk.smart_size.use_old_max	false
browser.cache.frecency_experiment	4
browser.download.folderList	2
browser.download.importedFromSqlite	true
browser.places.smartBookmarksVersion	7
browser.search.suggest.enabled	false
browser.search.useDBForOrder	true
browser.sessionstore.upgradeBackup.latestBuildID	20150813152114
browser.startup.homepage	google.co.uk
browser.startup.homepage_override.buildID	20150813152114
browser.startup.homepage_override.mstone	43.0a1
browser.tabs.animate	false
browser.tabs.warnOnClose	false
dom.apps.reset-permissions	true
dom.mozApps.used	true
extensions.lastAppVersion	43.0a1
font.internaluseonly.changed	true
gfx.crash-guard.d3d11layers.appVersion	43.0a1
gfx.crash-guard.d3d11layers.deviceID	0x1187
gfx.crash-guard.d3d11layers.driverVersion	10.18.13.5560
gfx.crash-guard.d3d11layers.feature-d2d	true
gfx.crash-guard.d3d11layers.feature-d3d11	true
gfx.crash-guard.status.d3d11layers	2
gfx.direct2d.force-enabled	true
gfx.direct3d.last_used_feature_level_idx	0
gfx.font_rendering.directwrite.enabled	true
layers.acceleration.force-enabled	true
media.eme.enabled	false
media.gmp-eme-adobe.lastUpdate	1438230256
media.gmp-gmpopenh264.lastUpdate	1438230256
media.gmp-gmpopenh264.version	1.4
media.gmp-manager.buildID	20150813152114
media.gmp-manager.lastCheck	1439539987
media.hardware-video-decoding.failed	false
media.peerconnection.enabled	false
media.windows-media-foundation.allow-d3d11-dxva	true
network.cookie.prefsMigrated	true
network.http.max-persistent-connections-per-server	8
network.predictor.cleaned-up	true
network.prefetch-next	false
places.database.lastMaintenance	1439521446
places.history.expiration.transient_current_max_pages	104858
plugin.disable_full_page_plugin_for_types	application/pdf
plugin.importedState	true
privacy.cpd.cookies	false
privacy.cpd.sessions	false
privacy.donottrackheader.enabled	true
privacy.donottrackheader.value	1
privacy.sanitize.migrateFx3Prefs	true
privacy.sanitize.timeSpan	3
security.sandbox.content.tempDirSuffix	{f2b21f81-d576-4d53-9ffb-7853a6689320}
storage.vacuum.last.index	1
storage.vacuum.last.places.sqlite	1438268329
webgl.force-enabled	true
webgl.msaa-force	true

Comment 86

2 years ago
it does crash tabs though 

https://crash-stats.mozilla.com/report/index/755de093-4ba9-45bc-8e7e-64ba12150814

Comment 87

2 years ago
ayay bad news :(

1. Installed firefox-43.0a1.en-US.win32.zip
2. Step #2 of https://bugzilla.mozilla.org/show_bug.cgi?id=1178098#c65
3. restart firefox.

I still see:
"Supports Hardware H264 Decoding No; MFT_MESSAGE_SET_D3D_MANAGER failed with code C00D6D60"

Comment 88

2 years ago
not sure if crash tab was caused because i was fiddling around with my dns at the time

Comment 89

2 years ago
Firefox 41beta1, on Win7 x64 with Radeon HD4890(Catalyst Legacy 13.9) is affected too. DXVA for 1080p30 h264 videos works flawlessly in other programs, including Chrome.

Comment 90

2 years ago
Created attachment 8648084 [details]
DXVA Checker results for Radeon HD4890
Flags: needinfo?(mchang)
Could you also do steps from Comment 65 and try next build from Comment 83 ?
Flags: needinfo?(clogged.drainpipe)

Comment 92

2 years ago
Created attachment 8648150 [details]
Graphics section(HD4890) as per comment #64 step2

Comment 93

2 years ago
Created attachment 8648159 [details]
chrome:gpu results for HD4890

Comment 94

2 years ago
I have done some additional testing with the build liked in comment #65 and I believe I have some interesting results.
Using "media.windows-media-foundation.allow-d3d11-dxva" in about:config with "true" value indeed causes DXVA to be used, and it works. However, when I seek around randomly in a 1080p30 Youtube video, DXVA gets turned off and in about:support there is a message: "(#0) Error	Too many dropped/corrupted frames, disabling DXVA" Every time I seek there are a couple of dropped frames at the beginning, and if I seek a lot in a short time period, then they add up and trigger the DXVA auto-disable.

There is something else that is somewhat related to this issue. GPUs almost always use fixed-function hardware blocks for decoding video when DXVA is in use. These HW blocks have a limited capacity. For example, my card(Radeon HD4890) can DXVA decode approximately 50 frames of 1080p H264 video. If I attempt to DXVA decode 1080p60 I get massive framedrops. This is NOT a per video limitation but a system-wide one, so if I have a 1080p30 video playing and I open another one, then massive framedrops happen. I have not tested the limits of 720p video decoding, but a single 720p60 video works perfectly fine. I would guess that I could play a handful of 480p30 videos at the same time via DXVA and still be just fine.
My card is pretty old, and for all I know this could be a driver issue(at this point it is safe to say that it will never get fixed), but the point is that all GPUs have a limited DXVA decoding throughput, and when it is exceeded(due to too many videos playing at the same time, lots of seeking by the user or some other reason) framedrops will happen and the framedrop detector will kick in.
Flags: needinfo?(clogged.drainpipe)

Comment 95

2 years ago
I would suggest having an about:config option that disables the DXVA auto-disabler.
(Assignee)

Comment 96

2 years ago
(In reply to Yorgos from comment #87)
> ayay bad news :(
> 
> 1. Installed firefox-43.0a1.en-US.win32.zip
> 2. Step #2 of https://bugzilla.mozilla.org/show_bug.cgi?id=1178098#c65
> 3. restart firefox.
> 
> I still see:
> "Supports Hardware H264 Decoding No; MFT_MESSAGE_SET_D3D_MANAGER failed with
> code C00D6D60"

That's unfortunate. I don't have any other ideas at the moment (except for rewriting the whole DXVA pipeline so we have more control), nor a vista machine handy to test on.

I'd love to fix this, but I don't really have time right now to work on issues that only affect Vista. Sorry!

(In reply to clogged.drainpipe from comment #95)
> I would suggest having an about:config option that disables the DXVA
> auto-disabler.

The plan is to change the disabler to only disable the current video rather than DXVA entirely.

I can add a pref I guess, but we really need to get the right behaviour automatically since most users won't look for prefs.
(Assignee)

Updated

2 years ago
Assignee: mchang → matt.woodrow

Comment 97

2 years ago
Thanks.
I hope that the issue maybe resolved for me too, not only for watching 1080p, but because this issue with h264 affects firefox in general: more lags, more hangs arised with FF40.

Comment 98

2 years ago
https://hg.mozilla.org/integration/mozilla-inbound/rev/8501dbd5fbb1
(In reply to Matt Woodrow (:mattwoodrow) from comment #96)
> The plan is to change the disabler to only disable the current video rather
> than DXVA entirely.

Falling back for the current resolution (and above) would probably work best. If the software decoder is too slow then dropped frames will cause the player to fall back. There is a question of how much effort it is worth putting into trying to get video frames out of a broken driver.
https://hg.mozilla.org/mozilla-central/rev/8501dbd5fbb1
Status: ASSIGNED → RESOLVED
Last Resolved: 2 years ago2 years ago
status-firefox43: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → mozilla43
Comment hidden (spam)
It's not fixed, this patch is only additional info.
Status: RESOLVED → REOPENED
Resolution: FIXED → ---

Comment 103

2 years ago
it becomes hard with FF on Vista ;)
(In reply to Matt Woodrow (:mattwoodrow) from comment #96)
> I can add a pref I guess, but we really need to get the right behaviour
> automatically since most users won't look for prefs.

Yes, please do. It will make testing with force enabled preference easier.


Next I have 2 questions:
1. Is "media.windows-media-foundation.allow-d3d11-dxva" hidden and used, when it's not added in about:config by default in enabled state or it's just not used and it's disabled?
2. Were "media.windows-media-foundation.enabled" and "media.windows-media-foundation.use-dxva" removed or just hidden and enabled by default?
Flags: needinfo?(matt.woodrow)
(Assignee)

Comment 105

2 years ago
(In reply to Virtual_ManPL [:Virtual] from comment #104)

> 
> Next I have 2 questions:
> 1. Is "media.windows-media-foundation.allow-d3d11-dxva" hidden and used,
> when it's not added in about:config by default in enabled state or it's just
> not used and it's disabled?

It's set to false by default, and hidden. I don't really want people finding it and enabling it, since it isn't ready to ship.

> 2. Were "media.windows-media-foundation.enabled" and
> "media.windows-media-foundation.use-dxva" removed or just hidden and enabled
> by default?

media.windows-media-foundation.enabled has been removed, so it's always enabled.

media.windows-media-foundation.use-dxva still exists (hidden), but it being replaced with media.hardware-video-decoding.enabled
Flags: needinfo?(matt.woodrow)

Comment 106

2 years ago
How can I forcefully disable this software fallback mechanism because it keeps switching to software rendering unnecessarily.
It's over-complicated and too sensitive to seeking, scrubbing, going into full screen, not just 4K videos.
Thanks
Status: REOPENED → RESOLVED
Last Resolved: 2 years ago2 years ago
status-firefox43: fixed → verified
Flags: needinfo?(marty6001)
Resolution: --- → FIXED
Summary: "Supports Hardware H264 Decoding" in about:support is "false" on supporting hardware → Show why "Supports Hardware H264 Decoding" in about:support is "false" and fails on supporting hardware
Status: RESOLVED → VERIFIED
Sorry for asking, does this means this is fixed? In my case every new install or profile says my GPU is not capable of h264 decoding (says false or No, because is unsuported or blacklisted), while it does decode stuff, even locally.

My VGA is an ATI Radeon HD 3200 with v8.970.100.1100 drivers (latest this card can get)

Here the text from about:support, I've modified the key media.hardware-video-decoding.failed to false, so it can run the videos smoothly...

--------------

Application Basics
------------------

Name: Firefox
Version: 44.0a1
Build ID: 20150927030300
Update Channel: nightly
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:44.0) Gecko/20100101 Firefox/44.0
Multiprocess Windows: 1/1 (default: true)
Safe Mode: false

Crash Reports for the Last 3 Days
---------------------------------

All Crash Reports

Extensions
----------

Name: Saved Password Editor
Version: 2.9.2
Enabled: true
ID: savedpasswordeditor@daniel.dawson

Name: uBlock Origin
Version: 1.1.1
Enabled: true
ID: uBlock0@raymondhill.net

Graphics
--------

Adapter Description: ATI Radeon HD 3200 Graphics
Adapter Drivers: aticfx64 aticfx64 aticfx32 aticfx32 atiumd64 atidxx64 atiumdag atidxx32 atiumdva atiumd6a atitmm64
Adapter RAM: 256
Asynchronous Pan/Zoom: wheel input enabled
Device ID: 0x9612
Direct2D Enabled: true
DirectWrite Enabled: true (6.2.9200.16492)
Driver Date: 4-29-2013
Driver Version: 8.970.100.1100
GPU #2 Active: false
GPU Accelerated Windows: 1/1 Direct3D 11 (OMTC)
Subsys ID: 021b1025
Supports Hardware H264 Decoding: Yes
Vendor ID: 0x1002
WebGL Renderer: Google Inc. -- ANGLE (ATI Radeon HD 3200 Graphics Direct3D11 vs_4_0 ps_4_0)
windowLayerManagerRemote: true
AzureCanvasBackend: direct2d 1.1
AzureContentBackend: direct2d 1.1
AzureFallbackCanvasBackend: cairo
AzureSkiaAccelerated: 0

Important Modified Preferences
------------------------------

browser.cache.disk.capacity: 358400
browser.cache.disk.filesystem_reported: 1
browser.cache.disk.smart_size.first_run: false
browser.cache.disk.smart_size.use_old_max: false
browser.cache.frecency_experiment: 2
browser.download.importedFromSqlite: true
browser.places.smartBookmarksVersion: 7
browser.sessionstore.upgradeBackup.latestBuildID: 20150927030300
browser.startup.homepage: about:newtab
browser.startup.homepage_override.buildID: 20150927030300
browser.startup.homepage_override.mstone: 44.0a1
browser.urlbar.suggest.searches: true
dom.apps.reset-permissions: true
dom.mozApps.used: true
extensions.lastAppVersion: 44.0a1
gfx.direct3d.last_used_feature_level_idx: 1
media.gmp-eme-adobe.abi: x86-msvc-x64
media.gmp-eme-adobe.lastUpdate: 1443403880
media.gmp-eme-adobe.version: 13
media.gmp-gmpopenh264.abi: x86-msvc-x64
media.gmp-gmpopenh264.lastUpdate: 1443403881
media.gmp-gmpopenh264.version: 1.4
media.gmp-manager.buildID: 20150927030300
media.gmp-manager.lastCheck: 1443403874
media.hardware-video-decoding.failed: false
network.cookie.prefsMigrated: true
network.http.speculative-parallel-limit: 0
network.predictor.cleaned-up: true
network.prefetch-next: false
places.database.lastMaintenance: 1443411552
places.history.expiration.transient_current_max_pages: 100622
plugin.disable_full_page_plugin_for_types: application/pdf
plugin.importedState: true
privacy.donottrackheader.enabled: true
privacy.sanitize.migrateFx3Prefs: true
privacy.trackingprotection.enabled: true
security.sandbox.content.tempDirSuffix: {bfc7e782-353a-4a97-8392-2bf9a6f6a3d0}
storage.vacuum.last.index: 0
storage.vacuum.last.places.sqlite: 1443411552

Important Locked Preferences
----------------------------

JavaScript
----------

Incremental GC: true

Accessibility
-------------

Activated: false
Prevent Accessibility: 0

Library Versions
----------------

NSPR
Expected minimum version: 4.10.9
Version in use: 4.10.9

NSS
Expected minimum version: 3.20 Basic ECC
Version in use: 3.20 Basic ECC

NSSSMIME
Expected minimum version: 3.20 Basic ECC
Version in use: 3.20 Basic ECC

NSSSSL
Expected minimum version: 3.20 Basic ECC
Version in use: 3.20 Basic ECC

NSSUTIL
Expected minimum version: 3.20
Version in use: 3.20

Experimental Features
---------------------

I dunno why it's black listed... I can try that Chrome test if you need...
Did the chrome thing... with a video from vimeo...

-------------------------

Graphics Feature Status
Canvas: Hardware accelerated
Flash: Hardware accelerated
Flash Stage3D: Hardware accelerated
Flash Stage3D Baseline profile: Hardware accelerated
Compositing: Hardware accelerated
Multiple Raster Threads: Disabled
Rasterization: Software only. Hardware acceleration disabled
Video Decode: Software only, hardware acceleration unavailable
Video Encode: Hardware accelerated
WebGL: Hardware accelerated
Driver Bug Workarounds
clear_uniforms_before_first_program_use
exit_on_context_lost
scalarize_vec_and_mat_constructor_args
texsubimage_faster_than_teximage
Problems Detected
Accelerated video decode interferes with GPU sandbox on certain AMD drivers: 298968
Disabled Features: accelerated_video_decode
Some drivers are unable to reset the D3D device in the GPU process sandbox
Applied Workarounds: exit_on_context_lost
TexSubImage is faster for full uploads on ANGLE
Applied Workarounds: texsubimage_faster_than_teximage
Clear uniforms before first program use on all platforms: 124764, 349137
Applied Workarounds: clear_uniforms_before_first_program_use
Always rewrite vec/mat constructors to be consistent: 398694
Applied Workarounds: scalarize_vec_and_mat_constructor_args
Accelerated rasterization has been disabled, either via about:flags or command line.
Disabled Features: rasterization
Raster is using a single thread.
Disabled Features: multiple_raster_threads
Version Information
Data exported	27/9/2015 23:55:02
Chrome version	Chrome/45.0.2454.99
Operating system	Windows NT 6.1 SP1
Software rendering list version	10.9
Driver bug list version	8.19
ANGLE commit id	6f0fd8c5457f
2D graphics backend	Skia
Command Line Args	--user-data-dir="D:\Users\FerchogtX\Downloads\GoogleChromePortable\Data\profile" --disk-cache-dir="C:\Users\FERCHO~1\AppData\Local\Temp\GoogleChromePortable" --flag-switches-begin --flag-switches-end
Driver Information
Initialization time	97
Sandboxed	false
GPU0	VENDOR = 0x1002, DEVICE= 0x9612
Optimus	false
AMD switchable	false
Desktop compositing	Aero Glass
Driver vendor	Advanced Micro Devices, Inc.
Driver version	8.970.100.1100
Driver date	4-29-2013
Pixel shader version	4.0
Vertex shader version	4.0
Max. MSAA samples	4
Machine model name	
Machine model version	
GL_VENDOR	Google Inc.
GL_RENDERER	ANGLE (ATI Radeon HD 3200 Graphics Direct3D11 vs_4_0 ps_4_0)
GL_VERSION	OpenGL ES 2.0 (ANGLE 2.1.0.6f0fd8c5457f)
GL_EXTENSIONS	GL_OES_element_index_uint GL_OES_packed_depth_stencil GL_OES_get_program_binary GL_OES_rgb8_rgba8 GL_EXT_texture_format_BGRA8888 GL_EXT_read_format_bgra GL_NV_pixel_buffer_object GL_OES_mapbuffer GL_EXT_map_buffer_range GL_OES_texture_half_float GL_OES_texture_half_float_linear GL_OES_texture_float GL_OES_texture_float_linear GL_EXT_texture_rg GL_EXT_texture_compression_dxt1 GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_EXT_sRGB GL_ANGLE_depth_texture GL_EXT_texture_storage GL_OES_texture_npot GL_EXT_draw_buffers GL_EXT_texture_filter_anisotropic GL_EXT_occlusion_query_boolean GL_NV_fence GL_EXT_robustness GL_EXT_blend_minmax GL_ANGLE_framebuffer_blit GL_ANGLE_framebuffer_multisample GL_ANGLE_instanced_arrays GL_ANGLE_pack_reverse_row_order GL_OES_standard_derivatives GL_EXT_shader_texture_lod GL_EXT_frag_depth GL_ANGLE_texture_usage GL_ANGLE_translated_shader_source GL_EXT_debug_marker
Disabled Extensions	
Window system binding vendor	Google Inc. (adapter LUID: 000000000000942b)
Window system binding version	1.4 (ANGLE 2.1.0.6f0fd8c5457f)
Window system binding extensions	EGL_EXT_create_context_robustness EGL_ANGLE_d3d_share_handle_client_buffer EGL_ANGLE_surface_d3d_texture_2d_share_handle EGL_ANGLE_query_surface_pointer EGL_ANGLE_window_fixed_size EGL_NV_post_sub_buffer EGL_KHR_create_context EGL_EXT_device_query
Direct rendering	Yes
Reset notification strategy	0x8252
GPU process crash count	0
Diagnostics
0
b3DAccelerationEnabled	true
b3DAccelerationExists	true
bAGPEnabled	true
bAGPExistenceValid	true
bAGPExists	true
bCanRenderWindow	true
bDDAccelerationEnabled	true
bDriverBeta	false
bDriverDebug	false
bDriverSigned	false
bDriverSignedValid	false
bNoHardware	false
dwBpp	32
dwDDIVersion	10
dwHeight	768
dwRefreshRate	60
dwWHQLLevel	0
dwWidth	1366
iAdapter	0
lDriverSize	1094024
lMiniVddSize	0
szAGPStatusEnglish	Enabled
szAGPStatusLocalized	Habilitado
szChipType	ATI display adapter (0x9612)
szD3DStatusEnglish	Enabled
szD3DStatusLocalized	Habilitado
szDACType	Internal DAC(400MHz)
szDDIVersionEnglish	10
szDDIVersionLocalized	10
szDDStatusEnglish	Enabled
szDDStatusLocalized	Habilitado
szDXVAHDEnglish	Not Supported
szDXVAModes	ModeMPEG2_A ModeMPEG2_C
szDescription	ATI Radeon HD 3200 Graphics
szDeviceId	0x9612
szDeviceIdentifier	{D7B71EE2-D552-11CF-FC77-1122BEC2C535}
szDeviceName	\\.\DISPLAY1
szDisplayMemoryEnglish	1915 MB
szDisplayMemoryLocalized	1915 MB
szDisplayModeEnglish	1366 x 768 (32 bit) (60Hz)
szDisplayModeLocalized	1366 x 768 (32 bit) (60Hz)
szDriverAssemblyVersion	8.970.100.1100
szDriverAttributes	Final Retail
szDriverDateEnglish	4/29/2013 23:19:54
szDriverDateLocalized	29/04/2013 11:19:54 p.m.
szDriverLanguageEnglish	English
szDriverLanguageLocalized	Inglés
szDriverModelEnglish	WDDM 1.1
szDriverModelLocalized	WDDM 1.1
szDriverName	aticfx64.dll,aticfx64.dll,aticfx32,aticfx32,atiumd64.dll,atidxx64.dll,atiumdag,atidxx32,atiumdva,atiumd6a.cap,atitmm64.dll
szDriverNodeStrongName	oem2.inf:ATI.Mfg.NTamd64.6.1:ati2mtag_RS780M:8.970.100.1100:pci\ven_1002&dev_9612
szDriverSignDate	
szDriverVersion	8.17.0010.1129
szKeyDeviceID	Enum\PCI\VEN_1002&DEV_9612&SUBSYS_021B1025&REV_00
szKeyDeviceKey	\Registry\Machine\System\CurrentControlSet\Control\Video\{3D836A0A-E4C5-45AD-8D8E-74AC25215498}\0000
szManufacturer	Advanced Micro Devices, Inc.
szMiniVdd	no disponible
szMiniVddDateEnglish	n/a
szMiniVddDateLocalized	no disponible
szMonitorMaxRes	
szMonitorName	Monitor PnP genérico
szNotesEnglish	No problems found.
szNotesLocalized	No se encontró ningún problema.
szOverlayEnglish	Not Supported
szRankOfInstalledDriver	00E62001
szRegHelpText	
szRevision	
szRevisionId	0x0000
szSubSysId	0x021B1025
szTestResultD3D7English	Not run
szTestResultD3D7Localized	No realizada
szTestResultD3D8English	Not run
szTestResultD3D8Localized	No realizada
szTestResultD3D9English	Not run
szTestResultD3D9Localized	No realizada
szTestResultDDEnglish	Not run
szTestResultDDLocalized	No realizada
szVdd	no disponible
szVendorId	0x1002
Log Messages
GpuProcessHostUIShim: The GPU process exited normally. Everything is okay.

---------------

Hope this helps somehow...
Funny thing, I'm checking this in about:gpu on Chrome:

----------------------

Graphics Feature Status
Canvas: Hardware accelerated
Flash: Hardware accelerated
Flash Stage3D: Hardware accelerated
Flash Stage3D Baseline profile: Hardware accelerated
Compositing: Hardware accelerated
Multiple Raster Threads: Disabled
Rasterization: Software only. Hardware acceleration disabled
Video Decode: Software only, hardware acceleration unavailable
Video Encode: Hardware accelerated
WebGL: Hardware accelerated
Driver Bug Workarounds
clear_uniforms_before_first_program_use
exit_on_context_lost
scalarize_vec_and_mat_constructor_args
texsubimage_faster_than_teximage
Problems Detected
Accelerated video decode interferes with GPU sandbox on certain AMD drivers: 298968
Disabled Features: accelerated_video_decode
Some drivers are unable to reset the D3D device in the GPU process sandbox
Applied Workarounds: exit_on_context_lost
TexSubImage is faster for full uploads on ANGLE
Applied Workarounds: texsubimage_faster_than_teximage
Clear uniforms before first program use on all platforms: 124764, 349137
Applied Workarounds: clear_uniforms_before_first_program_use
Always rewrite vec/mat constructors to be consistent: 398694
Applied Workarounds: scalarize_vec_and_mat_constructor_args
Accelerated rasterization has been disabled, either via about:flags or command line.
Disabled Features: rasterization
Raster is using a single thread.
Disabled Features: multiple_raster_threads
Version Information
Data exported	28/9/2015 0:17:10
Chrome version	Chrome/45.0.2454.99
Operating system	Windows NT 6.1 SP1
Software rendering list version	10.9
Driver bug list version	8.19
ANGLE commit id	6f0fd8c5457f
2D graphics backend	Skia
Command Line Args	--user-data-dir="D:\Users\FerchogtX\Downloads\GoogleChromePortable\Data\profile" --disk-cache-dir="C:\Users\FERCHO~1\AppData\Local\Temp\GoogleChromePortable" --flag-switches-begin --ignore-gpu-blacklist --flag-switches-end
Driver Information
Initialization time	128
Sandboxed	false
GPU0	VENDOR = 0x1002, DEVICE= 0x9612
Optimus	false
AMD switchable	false
Desktop compositing	Aero Glass
Driver vendor	Advanced Micro Devices, Inc.
Driver version	8.970.100.1100
Driver date	4-29-2013
Pixel shader version	4.0
Vertex shader version	4.0
Max. MSAA samples	4
Machine model name	
Machine model version	
GL_VENDOR	Google Inc.
GL_RENDERER	ANGLE (ATI Radeon HD 3200 Graphics Direct3D11 vs_4_0 ps_4_0)
GL_VERSION	OpenGL ES 2.0 (ANGLE 2.1.0.6f0fd8c5457f)
GL_EXTENSIONS	GL_OES_element_index_uint GL_OES_packed_depth_stencil GL_OES_get_program_binary GL_OES_rgb8_rgba8 GL_EXT_texture_format_BGRA8888 GL_EXT_read_format_bgra GL_NV_pixel_buffer_object GL_OES_mapbuffer GL_EXT_map_buffer_range GL_OES_texture_half_float GL_OES_texture_half_float_linear GL_OES_texture_float GL_OES_texture_float_linear GL_EXT_texture_rg GL_EXT_texture_compression_dxt1 GL_ANGLE_texture_compression_dxt3 GL_ANGLE_texture_compression_dxt5 GL_EXT_sRGB GL_ANGLE_depth_texture GL_EXT_texture_storage GL_OES_texture_npot GL_EXT_draw_buffers GL_EXT_texture_filter_anisotropic GL_EXT_occlusion_query_boolean GL_NV_fence GL_EXT_robustness GL_EXT_blend_minmax GL_ANGLE_framebuffer_blit GL_ANGLE_framebuffer_multisample GL_ANGLE_instanced_arrays GL_ANGLE_pack_reverse_row_order GL_OES_standard_derivatives GL_EXT_shader_texture_lod GL_EXT_frag_depth GL_ANGLE_texture_usage GL_ANGLE_translated_shader_source GL_EXT_debug_marker
Disabled Extensions	
Window system binding vendor	Google Inc. (adapter LUID: 000000000000942b)
Window system binding version	1.4 (ANGLE 2.1.0.6f0fd8c5457f)
Window system binding extensions	EGL_EXT_create_context_robustness EGL_ANGLE_d3d_share_handle_client_buffer EGL_ANGLE_surface_d3d_texture_2d_share_handle EGL_ANGLE_query_surface_pointer EGL_ANGLE_window_fixed_size EGL_NV_post_sub_buffer EGL_KHR_create_context EGL_EXT_device_query
Direct rendering	Yes
Reset notification strategy	0x8252
GPU process crash count	0
Diagnostics
0
b3DAccelerationEnabled	true
b3DAccelerationExists	true
bAGPEnabled	true
bAGPExistenceValid	true
bAGPExists	true
bCanRenderWindow	true
bDDAccelerationEnabled	true
bDriverBeta	false
bDriverDebug	false
bDriverSigned	false
bDriverSignedValid	false
bNoHardware	false
dwBpp	32
dwDDIVersion	10
dwHeight	768
dwRefreshRate	60
dwWHQLLevel	0
dwWidth	1366
iAdapter	0
lDriverSize	1094024
lMiniVddSize	0
szAGPStatusEnglish	Enabled
szAGPStatusLocalized	Habilitado
szChipType	ATI display adapter (0x9612)
szD3DStatusEnglish	Enabled
szD3DStatusLocalized	Habilitado
szDACType	Internal DAC(400MHz)
szDDIVersionEnglish	10
szDDIVersionLocalized	10
szDDStatusEnglish	Enabled
szDDStatusLocalized	Habilitado
szDXVAHDEnglish	Not Supported
szDXVAModes	ModeMPEG2_A ModeMPEG2_C
szDescription	ATI Radeon HD 3200 Graphics
szDeviceId	0x9612
szDeviceIdentifier	{D7B71EE2-D552-11CF-FC77-1122BEC2C535}
szDeviceName	\\.\DISPLAY1
szDisplayMemoryEnglish	1915 MB
szDisplayMemoryLocalized	1915 MB
szDisplayModeEnglish	1366 x 768 (32 bit) (60Hz)
szDisplayModeLocalized	1366 x 768 (32 bit) (60Hz)
szDriverAssemblyVersion	8.970.100.1100
szDriverAttributes	Final Retail
szDriverDateEnglish	4/29/2013 23:19:54
szDriverDateLocalized	29/04/2013 11:19:54 p.m.
szDriverLanguageEnglish	English
szDriverLanguageLocalized	Inglés
szDriverModelEnglish	WDDM 1.1
szDriverModelLocalized	WDDM 1.1
szDriverName	aticfx64.dll,aticfx64.dll,aticfx32,aticfx32,atiumd64.dll,atidxx64.dll,atiumdag,atidxx32,atiumdva,atiumd6a.cap,atitmm64.dll
szDriverNodeStrongName	oem2.inf:ATI.Mfg.NTamd64.6.1:ati2mtag_RS780M:8.970.100.1100:pci\ven_1002&dev_9612
szDriverSignDate	
szDriverVersion	8.17.0010.1129
szKeyDeviceID	Enum\PCI\VEN_1002&DEV_9612&SUBSYS_021B1025&REV_00
szKeyDeviceKey	\Registry\Machine\System\CurrentControlSet\Control\Video\{3D836A0A-E4C5-45AD-8D8E-74AC25215498}\0000
szManufacturer	Advanced Micro Devices, Inc.
szMiniVdd	no disponible
szMiniVddDateEnglish	n/a
szMiniVddDateLocalized	no disponible
szMonitorMaxRes	
szMonitorName	Monitor PnP genérico
szNotesEnglish	No problems found.
szNotesLocalized	No se encontró ningún problema.
szOverlayEnglish	Not Supported
szRankOfInstalledDriver	00E62001
szRegHelpText	
szRevision	
szRevisionId	0x0000
szSubSysId	0x021B1025
szTestResultD3D7English	Not run
szTestResultD3D7Localized	No realizada
szTestResultD3D8English	Not run
szTestResultD3D8Localized	No realizada
szTestResultD3D9English	Not run
szTestResultD3D9Localized	No realizada
szTestResultDDEnglish	Not run
szTestResultDDLocalized	No realizada
szVdd	no disponible
szVendorId	0x1002
Log Messages
GpuProcessHostUIShim: The GPU process exited normally. Everything is okay.

---------------------

I took this after installing that extension for looking h264 videos on Youtube, and changing the flag for the blacklisted GPUs on Chrome...
This video runs smooth (well... not that much, FF440a1 runs much faster)
https://www.youtube.com/watch?v=e6VHTfDl5sw

Is here something different, besides the flag I changed?

Comment 110

2 years ago
(In reply to Matt Woodrow (:mattwoodrow) from comment #96)
> (In reply to Yorgos from comment #87)
> > ayay bad news :(
> > 
> > 1. Installed firefox-43.0a1.en-US.win32.zip
> > 2. Step #2 of https://bugzilla.mozilla.org/show_bug.cgi?id=1178098#c65
> > 3. restart firefox.
> > 
> > I still see:
> > "Supports Hardware H264 Decoding No; MFT_MESSAGE_SET_D3D_MANAGER failed with
> > code C00D6D60"
> 
> That's unfortunate. I don't have any other ideas at the moment (except for
> rewriting the whole DXVA pipeline so we have more control), nor a vista
> machine handy to test on.
> 
> I'd love to fix this, but I don't really have time right now to work on
> issues that only affect Vista. Sorry!
> 
> (In reply to clogged.drainpipe from comment #95)
> > I would suggest having an about:config option that disables the DXVA
> > auto-disabler.
> 
> The plan is to change the disabler to only disable the current video rather
> than DXVA entirely.
> 
> I can add a pref I guess, but we really need to get the right behaviour
> automatically since most users won't look for prefs.

In FF 43 beta DXVA disables only for the current video. Please add such preference to about:config to never disable DXVA vidoe decoding, no matter how many corrupted dropped frames occurred.

When we play HQ video and temporary run short but resource demanding task, Firefox disables DXVA for current video because of too many dropped frames. This may happen as well when we move to not yet buffered fragment of a video.
Many older CPUs can't decode H264 efficiently, so the video starts stuttering badly.
Microsoft Edge uses hardware acceleration and decoding no matter how low-end your hardware is. 1080p HTML5 videos always play smoothly for me.
Flags: needinfo?(matt.woodrow)

Comment 111

2 years ago
That is the reason because all is fine here with Flash, instead with html5 I become stuttering only, even at 480p
with flash all is fine even at 1080p (or above!).

http://postimg.org/image/462er03xr/
(2014: H264 blue; 2015: H264 red).

Updated

2 years ago
Blocks: 1197905

Comment 112

2 years ago
Please add an option to completely disable this fallback.
(In reply to tomy_homy from comment #112)
> Please add an option to completely disable this fallback.

Have you tried the hidden pref mentioned in comment #105? At your own risk, of course, since it isn't ready for shipping.

Comment 114

2 years ago
This does not do what I want. I want to prevent "(#0) Error	Too many dropped/corrupted frames, disabling DXVA" by forcing DXVA to always be enabled no matter of what or disabling dropped/corrupted frames detector so the DXVA will NEVER disable

Comment 115

2 years ago
I have the same bug on MacBook Pro - I followed all steps outlined here, but H.264 HW accel is still disabled.  

MacBooks are a rather standard configuration compared to PCs, so hopefully it will be easier to resolve this.

My report details are here: https://bugzilla.mozilla.org/show_bug.cgi?id=1235875
(In reply to Windward from comment #115)
> I have the same bug on MacBook Pro - I followed all steps outlined here, but
> H.264 HW accel is still disabled.  

As mentioned in your other bug, it is not disabled. about:support always return false on mac, regardless of having hardware acceleration or not

> 
> MacBooks are a rather standard configuration compared to PCs, so hopefully
> it will be easier to resolve this.

Comment 117

2 years ago
Guys is there any problem to add such preference to about:config to never disable DXVA vidoe decoding, no matter how many corrupted dropped frames occurred?
(In reply to tomy_homy from comment #117)
> Guys is there any problem to add such preference to about:config to never
> disable DXVA vidoe decoding, no matter how many corrupted dropped frames
> occurred?

There is the suggestion to add support for such in bug 1178385.
See Also: → bug 1178385
See Also: → bug 1243575
See Also: bug 1243575

Comment 119

2 years ago
(In reply to Anthony Jones (:kentuckyfriedtakahe, :k17e) from comment #118)
> (In reply to tomy_homy from comment #117)
> > Guys is there any problem to add such preference to about:config to never
> > disable DXVA vidoe decoding, no matter how many corrupted dropped frames
> > occurred?
> 
> There is the suggestion to add support for such in bug 1178385.

[code]media.hardware-video-decoding.force-enabled;true[/code]
does not prevent triggering video decoding fallback which sucks. Same for [code]gfx.blocklist.all;-1[/code]
Latest FF build that does not trigger decoding fallback is Firefox 37.0.2 x86

Comment 120

2 years ago
Im affected too. Using Nvidia geForce 7300 GS with Firefox 44.0.2 and Windows XP Pro 64x, it seems that my cpu is doing all the work wile playing a video. 

I havent tried changing those values:
 - media.windows-media-foundation.allow-d3d11-dxva (I use Directx 9, should I change the name to d3d9?)
 - media.windows-media-foundation.enabled
 - media.windows-media-foundation.use-dxva (I have "media.hardware-video-decoding.enabled;true" in my FF, did the other change too? How do I change an hidden value?)

my Dxdiag is saying "Video Accel: ModeMPEG2_C ModeMPEG2_D ModeWMV9_B ModeWMV9_A". I need to change it to H264 right? but how?

I tried using flash but it didnt help much, maybe I needed to turn on HW acceleration for it. I'll try that.

Thanks for all the work!

Comment 121

2 years ago
FF44 removes support for hw acceleration in flash too.
In previous version 1/1 direect11 omtc, in ff44 0/1 basic.
A bad news, since for years all was ok.
An nvidia 7300 doesn't have h264 hardware decoding. In only did some partial acceleration for mpeg2. The first nvidia card to have it was the 8200GS. 

We didn't remove hw acceleration support in flash either, YouTube stopped serving flash. And only uses htnl5

Comment 123

2 years ago
I am able to use flash in YT.
And I have GTX650, fully capable of hw acceleration up to 4K 30p 100Mbps, just to say.
(In reply to Yorgos from comment #123)
> I am able to use flash in YT.
> And I have GTX650, fully capable of hw acceleration up to 4K 30p 100Mbps,
> just to say.

Running a 14 years old OS which doesn't provide a framework to decode h264 with hardware :)

You could get Windows 10 and remove all of those limitations.. just sayin'

Comment 125

2 years ago
It did with FF too.
Now it does with MPC-HC and VLC 4K, sorry.

Please it were more honest behaviour from you to admit that Mozilla dropped down the support, or that you dont to work.

Comment 126

2 years ago
As I demostred with my screenshot until FF42 I was able YT 4k with Firefox, then I become your "gift".
Perhaps Mozilla is a sponsor of Windows 10, ....hoping that with w10 I dont have the issues described in geforce.com forum, just to say.

Comment 127

2 years ago
and sorry for me its easier to switch to chrome than to a different OS, unless you want purchase for me a new scanner and printer, w10 compatible, just to be able to watch video in Firefox, as I did sicne 10 years. Congratulations for you help!
set media.mediasource.webm.enabled to false and media.webm.enabled to false.

You can also install in Firefox add-ons forcing the use of Flash (like https://addons.mozilla.org/en-US/firefox/addon/youtube-all-flash-player/?src=search)

Chrome will get you webm/VP9 by default too, and will use software decoding with YouTube: you'll get exactly the same issue there.
Almost guaranteed you'll get better performance with FF on Windows XP because we do care about this platform and maintain it actively.

Comment 129

2 years ago
Why XP and not Vista? (Vista is more similar to Seven, than XP).
I always seen dx11 omtc, not I see basic.

Comment 130

2 years ago
yes with the addon I see "accelerated video decoding and rendering" in youtube (not FB).

Comment 131

2 years ago
I dont see the key:
set media.mediasource.webm.enabled

Comment 132

2 years ago
please delete comment #131, an error in writing.

Comment 133

2 years ago
I changed the keys as suggested, now I see
http://postimg.org/image/ic5e111tz/
(In reply to Yorgos from comment #133)
> I changed the keys as suggested, now I see
> http://postimg.org/image/ic5e111tz/

Yes, so now Flash should be used with youtube as there's no alternative available (windows XP doesn't support h264 decoding and you disabled webm/vp9)

You've basically disabled HTML5 video.

Comment 135

2 years ago
Hi, it seems better now with youtube! thanks.

while the issue is still present on facebook (played via flash player : 30% CPU and frame dropped instead of my usual 1-2% and no frames dropped)
No longer blocks: 1197905
(Assignee)

Updated

2 years ago
Flags: needinfo?(matt.woodrow)
(Assignee)

Comment 136

2 years ago
(In reply to tomy_homy from comment #110)

> In FF 43 beta DXVA disables only for the current video. Please add such
> preference to about:config to never disable DXVA vidoe decoding, no matter
> how many corrupted dropped frames occurred.

This got removed in bug 1257013.
Version: unspecified → 40 Branch

Comment 137

a year ago
I'm also showing the same problems on Nvidia 8400 GS for all firefox versions 42 and up.  any ideas on how to fix it??

when i check all the modules and loaded DLL's however.  dxva2 is definately loading up.  -and i can tell when it's working,  cuz i've always notice a light bit of vectoring and distortion just as a hardware acceleration video kicks in.  and it happens in firefox.
telling me that the GPU is doing something.

I imagine if dxva.dll wasn't working,  firefox wouldn't bother loading it up,  or would it load it up anyways??  silverlight,  and flash both have hardware acceleration enabled,  and youtube in flash even reports hardware acceleration.  can't say the same about html5,  but nothing tells you if hardware acceleration is enabled in HTML5.  That's why i checked the troubleshooting information,  and found that firefox was telling me I don't have h264 when in fact I do.  MPC,  always shows hardware acceleration in the status bar,  using lav,  lav cuvid,  and microsoft codecs.
(In reply to MTRX from comment #137)
> I'm also showing the same problems on Nvidia 8400 GS for all firefox
> versions 42 and up.  any ideas on how to fix it??

Please do not add to a closed bug, and open a new one and it can be investigated.
Keywords: nightly-community
QA Contact: Virtual
You need to log in before you can comment on or make changes to this bug.